Bug 477092 - [TAHI] Internet Address Translation Table on RFC4293
[TAHI] Internet Address Translation Table on RFC4293
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: net-snmp (Show other bugs)
5.3
All Linux
low Severity medium
: rc
: ---
Assigned To: Jan Safranek
BaseOS QE
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-18 20:46 EST by wang jiabo
Modified: 2009-09-02 07:41 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-02 07:41:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch candidate (9.45 KB, patch)
2009-01-19 08:41 EST, Jan Safranek
no flags Details | Diff

  None (edit)
Description wang jiabo 2008-12-18 20:46:42 EST
Description of problem:
ipNetToPhysicalLastUpdated Object Information reported error.


Version-Release number of selected component (if applicable):
net-snmp-5.3.2.2-5.el5.i386
net-snmp-perl-5.3.2.2-5.el5.i386
net-snmp-utils-5.3.2.2-5.el5.i386
net-snmp-libs-5.3.2.2-5.el5.i386


How reproducible:
every time

Steps to Reproduce:
1.
2.
3.
  
Actual results:
 Internet Address Translation Table tested failure

Expected results:
Internet Address Translation Table tested pass

Additional info:

Test Procedure:

NAME

        MIB_RFC4293_IPAddrTransTable - RFC4293 IP-MIB IP Address Translation Table

Purpose

        Verify that NUT has implemented IP-MIB IP address translation table objects.

TARGET

        SNMPv2-Agent

SYNOPSIS

	MIB_RFC4293_IPAddrTransTable.seq [-tooloption ...]: KOI tool option
	See also SNMPConfig.pm

INITIALIZATION

        * Network Topology

          Net-x   --+--------+-----------------+-------- 2001:ca0:ffff:0000::/64 
                    |                          |
                    |                          |
                  SNMP Agent1 (NUT)            SNMP Manager1 (TN)
                    2001:ca0:ffff:0000::2      2001:ca0:ffff:0000::1          
          	

        * Setup


          Set the SNMP Agent1's (NUT) address as above mentioned Network Topology.

TEST PROCEDURE

        A SNMP walk should be performed to query for a subtree of information about a node. All variables in the subtree below the given mib-group-name are queried and their values will be presented.

JUDGMENT

        The returned variable binding name and value for each tested MIB OID must have correct ASN.1 coding. Check for the .0 for each returned scalar OID. For tablular objects, the table index must be correct. All the returned MIB variable values must have the correct syntax type and within the defined range value.

TERMINATION

        None

REFERENCE

        RFC 3416, Protocol Operations for version 2 of the Simple Network Management Prototol
        RFC 4293, Management Information Base for the Internet Protocol(IP), Sec 3.2.6



log info:

Test Sequence Execution Log
18:37:23	Start
18:37:23	SNMP Connect
  SrcAddr:3ffe:501:ffff:100::20  SrcPort:2000
  DstAddr:3ffe:501:ffff:100::10  DstPort:161
done
  SocketID:3

	Perform SNMPWalk through the MIB-tree, beginning from '1.3.6.1.2.1.4.35'
18:37:23	SNMP try to send...
  SrcAddr:3ffe:501:ffff:100::20  SrcPort:2000
  DstAddr:3ffe:501:ffff:100::10  DstPort:161
done
  send to SocketID:3
send 1st SNMP packet
18:37:23	SNMP try to receive...
  SrcAddr:3ffe:501:ffff:100::10  SrcPort:161
  DstAddr:3ffe:501:ffff:100::20  DstPort:2000
done
  received from SocketID:3
received 2nd SNMP packet
18:37:23	SNMP try to send...
  SrcAddr:3ffe:501:ffff:100::20  SrcPort:2000
  DstAddr:3ffe:501:ffff:100::10  DstPort:161
done
  send to SocketID:3
send 3rd SNMP packet
18:37:23	SNMP try to receive...
  SrcAddr:3ffe:501:ffff:100::10  SrcPort:161
  DstAddr:3ffe:501:ffff:100::20  DstPort:2000
done
  received from SocketID:3
received 4th SNMP packet
18:37:23	SNMP try to send...
  SrcAddr:3ffe:501:ffff:100::20  SrcPort:2000
  DstAddr:3ffe:501:ffff:100::10  DstPort:161
done
  send to SocketID:3
send 5th SNMP packet
18:37:23	SNMP try to receive...
  SrcAddr:3ffe:501:ffff:100::10  SrcPort:161
  DstAddr:3ffe:501:ffff:100::20  DstPort:2000
done
  received from SocketID:3
received 6th SNMP packet
18:37:23	SNMP try to send...
  SrcAddr:3ffe:501:ffff:100::20  SrcPort:2000
  DstAddr:3ffe:501:ffff:100::10  DstPort:161
done
  send to SocketID:3
send 7th SNMP packet
18:37:23	SNMP try to receive...
  SrcAddr:3ffe:501:ffff:100::10  SrcPort:161
  DstAddr:3ffe:501:ffff:100::20  DstPort:2000
done
  received from SocketID:3
received 8th SNMP packet
18:37:23	SNMP try to send...
  SrcAddr:3ffe:501:ffff:100::20  SrcPort:2000
  DstAddr:3ffe:501:ffff:100::10  DstPort:161
done
  send to SocketID:3
send 9th SNMP packet
18:37:23	SNMP try to receive...
  SrcAddr:3ffe:501:ffff:100::10  SrcPort:161
  DstAddr:3ffe:501:ffff:100::20  DstPort:2000
done
  received from SocketID:3
received 10th SNMP packet

	MIB node: 'ipNetToPhysicalTable' judgement
ipNetToPhysicalTable Object Information
Object Name 	ipNetToPhysicalTable
Full OID 	1.3.6.1.2.1.4.35
Full Path 	iso(1).org(3).dod(6).internet(1).mgmt(2).mib-2(1).ip(4).ipNetToPhysicalTable(35)
Syntax 	
MAX-Access 	NoAccess
Judgement	OK, there are no response.

	MIB node: 'ipNetToPhysicalEntry' judgement
ipNetToPhysicalEntry Object Information
Object Name 	ipNetToPhysicalEntry
Full OID 	1.3.6.1.2.1.4.35.1
Full Path 	iso(1).org(3).dod(6).internet(1).mgmt(2).mib-2(1).ip(4).ipNetToPhysicalTable(35).ipNetToPhysicalEntry(1)
Syntax 	
MAX-Access 	NoAccess
Judgement	OK, there are no response.

	MIB node: 'ipNetToPhysicalIfIndex' judgement
ipNetToPhysicalIfIndex Object Information
Object Name 	ipNetToPhysicalIfIndex
Full OID 	1.3.6.1.2.1.4.35.1.1
Full Path 	iso(1).org(3).dod(6).internet(1).mgmt(2).mib-2(1).ip(4).ipNetToPhysicalTable(35).ipNetToPhysicalEntry(1).ipNetToPhysicalIfIndex(1)
Syntax 	InterfaceIndex
MAX-Access 	NoAccess
Judgement	OK, there are no response.

	MIB node: 'ipNetToPhysicalNetAddressType' judgement
ipNetToPhysicalNetAddressType Object Information
Object Name 	ipNetToPhysicalNetAddressType
Full OID 	1.3.6.1.2.1.4.35.1.2
Full Path 	iso(1).org(3).dod(6).internet(1).mgmt(2).mib-2(1).ip(4).ipNetToPhysicalTable(35).ipNetToPhysicalEntry(1).ipNetToPhysicalNetAddressType(2)
Syntax 	InetAddressType
MAX-Access 	NoAccess
Judgement	OK, there are no response.

	MIB node: 'ipNetToPhysicalNetAddress' judgement
ipNetToPhysicalNetAddress Object Information
Object Name 	ipNetToPhysicalNetAddress
Full OID 	1.3.6.1.2.1.4.35.1.3
Full Path 	iso(1).org(3).dod(6).internet(1).mgmt(2).mib-2(1).ip(4).ipNetToPhysicalTable(35).ipNetToPhysicalEntry(1).ipNetToPhysicalNetAddress(3)
Syntax 	InetAddress
MAX-Access 	NoAccess
Judgement	OK, there are no response.

	MIB node: 'ipNetToPhysicalPhysAddress' judgement
ipNetToPhysicalPhysAddress Object Information
Object Name 	ipNetToPhysicalPhysAddress
Full OID 	1.3.6.1.2.1.4.35.1.4
Full Path 	iso(1).org(3).dod(6).internet(1).mgmt(2).mib-2(1).ip(4).ipNetToPhysicalTable(35).ipNetToPhysicalEntry(1).ipNetToPhysicalPhysAddress(4)
Syntax 	PhysAddress
MAX-Access 	Create
Judgement	OK, there is one response
Pkt No 	OID 	IID 	Value Type 	Value 	Status
2
	1.3.6.1.2.1.4.35.1.4 	3.2.16.63.254.5.1.255.255.1.0.0.0.0.0.0.0.0.32 	4 	00:e0:4c:19:12:9f 	Test PASS

	MIB node: 'ipNetToPhysicalLastUpdated' judgement
ipNetToPhysicalLastUpdated Object Information
Object Name 	ipNetToPhysicalLastUpdated
Full OID 	1.3.6.1.2.1.4.35.1.5
Full Path 	iso(1).org(3).dod(6).internet(1).mgmt(2).mib-2(1).ip(4).ipNetToPhysicalTable(35).ipNetToPhysicalEntry(1).ipNetToPhysicalLastUpdated(5)
Syntax 	TimeStamp
MAX-Access 	ReadOnly
Judgement	Error: No response.

	MIB node: 'ipNetToPhysicalType' judgement
ipNetToPhysicalType Object Information
Object Name 	ipNetToPhysicalType
Full OID 	1.3.6.1.2.1.4.35.1.6
Full Path 	iso(1).org(3).dod(6).internet(1).mgmt(2).mib-2(1).ip(4).ipNetToPhysicalTable(35).ipNetToPhysicalEntry(1).ipNetToPhysicalType(6)
Syntax 	INTEGER
MAX-Access 	Create
Judgement	OK, there is one response
Pkt No 	OID 	IID 	Value Type 	Value 	Status
4
	1.3.6.1.2.1.4.35.1.6 	3.2.16.63.254.5.1.255.255.1.0.0.0.0.0.0.0.0.32 	2 	dynamic(3) 	Test PASS

	MIB node: 'ipNetToPhysicalState' judgement
ipNetToPhysicalState Object Information
Object Name 	ipNetToPhysicalState
Full OID 	1.3.6.1.2.1.4.35.1.7
Full Path 	iso(1).org(3).dod(6).internet(1).mgmt(2).mib-2(1).ip(4).ipNetToPhysicalTable(35).ipNetToPhysicalEntry(1).ipNetToPhysicalState(7)
Syntax 	INTEGER
MAX-Access 	ReadOnly
Judgement	OK, there is one response
Pkt No 	OID 	IID 	Value Type 	Value 	Status
6
	1.3.6.1.2.1.4.35.1.7 	3.2.16.63.254.5.1.255.255.1.0.0.0.0.0.0.0.0.32 	2 	reachable(1) 	Test PASS

	Generating overall test result table

	
'RFC 4293 IP-MIB Address Translation Table' TEST RESULT TABLE
Name 	OID 	MAX-Access 	Syntax 	Result 	Log
ipNetToPhysicalTable 	1.3.6.1.2.1.4.35 	NoAccess 		PASS 	
X
ipNetToPhysicalEntry 	1.3.6.1.2.1.4.35.1 	NoAccess 		PASS 	
X
ipNetToPhysicalIfIndex 	1.3.6.1.2.1.4.35.1.1 	NoAccess 	InterfaceIndex 	PASS 	
X
ipNetToPhysicalNetAddressType 	1.3.6.1.2.1.4.35.1.2 	NoAccess 	InetAddressType 	PASS 	
X
ipNetToPhysicalNetAddress 	1.3.6.1.2.1.4.35.1.3 	NoAccess 	InetAddress 	PASS 	
X
ipNetToPhysicalPhysAddress 	1.3.6.1.2.1.4.35.1.4 	Create 	PhysAddress 	PASS 	
X
ipNetToPhysicalLastUpdated 	1.3.6.1.2.1.4.35.1.5 	ReadOnly 	TimeStamp 	FAIL 	
X
ipNetToPhysicalType 	1.3.6.1.2.1.4.35.1.6 	Create 	INTEGER 	PASS 	
X
ipNetToPhysicalState 	1.3.6.1.2.1.4.35.1.7 	ReadOnly 	INTEGER 	PASS 	
X
ipNetToPhysicalRowStatus 	1.3.6.1.2.1.4.35.1.8 	Create 	RowStatus 	Not yet supported 	

	FAIL
18:37:23	End
Packet Reverse Log

      Send 1st SNMP packet at 18:37:23

      IP Packet
      | IP Header
      | | Version                    = 6
      | | Source Address             = 3ffe:501:ffff:100::20
      | | Destination Address        = 3ffe:501:ffff:100::10
      | UDP Header
      | | Source Port                = 2000
      | | Destination Port           = 161
      | +SNMP ASN.1 Message     (39 bytes)
      | |  type                      = 48 (0x30)
      | |  length                    = 37 (0x25)
      | | +version                (3 bytes)
      | | |  type                    = 2 (0x02)
      | | |  length                  = 1 (0x01)
      | | |  value                   = 1 (0x01)
      | | +community              (8 bytes)
      | | |  type                    = 4 (0x04)
      | | |  length                  = 6 (0x06)
      | | |  value                   = public (0x7075626c6963)
      | | +PDU                    (26 bytes)
      | | |  type                    = 161 (0xa1)
      | | |  length                  = 24 (0x18)
      | | | +request-id             (3 bytes)
      | | | |  type                  = 2 (0x02)
      | | | |  length                = 1 (0x01)
      | | | |  value                 = 12 (0x0c)
      | | | +error-status           (3 bytes)
      | | | |  type                  = 2 (0x02)
      | | | |  length                = 1 (0x01)
      | | | |  value                 = 0 (0x00)
      | | | +error-index            (3 bytes)
      | | | |  type                  = 2 (0x02)
      | | | |  length                = 1 (0x01)
      | | | |  value                 = 0 (0x00)
      | | | +VarBindList            (15 bytes)
      | | | |  type                  = 48 (0x30)
      | | | |  length                = 13 (0x0d)
      | | | | +VarBind[1]             (13 bytes)
      | | | | |  type                = 48 (0x30)
      | | | | |  length              = 11 (0x0b)
      | | | | | +VarBind[1]{name}       (9 bytes)
      | | | | | |  type              = 6 (0x06)
      | | | | | |  length            = 7 (0x07)
      | | | | | |  value             = 1.3.6.1.2.1.4.35 (0x2b060102010423)
      | | | | | +VarBind[1]{value}      (2 bytes)
      | | | | | |  type              = 5 (0x05)
      | | | | | |  length            = 0 (0x00)
      | | | | | |  value             = 0 (0x00)

      Recv 2nd SNMP packet at 18:37:23

      IP Packet
      | IP Header
      | | Version                    = 6
      | | Source Address             = 3ffe:501:ffff:100::10
      | | Destination Address        = 3ffe:501:ffff:100::20
      | UDP Header
      | | Source Port                = 161
      | | Destination Port           = 2000
      | +SNMP ASN.1 Message     (69 bytes)
      | |  type                      = 48 (0x30)
      | |  length                    = 67 (0x43)
      | | +version                (3 bytes)
      | | |  type                    = 2 (0x02)
      | | |  length                  = 1 (0x01)
      | | |  value                   = 1 (0x01)
      | | +community              (8 bytes)
      | | |  type                    = 4 (0x04)
      | | |  length                  = 6 (0x06)
      | | |  value                   = public (0x7075626c6963)
      | | +PDU                    (56 bytes)
      | | |  type                    = 162 (0xa2)
      | | |  length                  = 54 (0x36)
      | | | +request-id             (3 bytes)
      | | | |  type                  = 2 (0x02)
      | | | |  length                = 1 (0x01)
      | | | |  value                 = 12 (0x0c)
      | | | +error-status           (3 bytes)
      | | | |  type                  = 2 (0x02)
      | | | |  length                = 1 (0x01)
      | | | |  value                 = 0 (0x00)
      | | | +error-index            (3 bytes)
      | | | |  type                  = 2 (0x02)
      | | | |  length                = 1 (0x01)
      | | | |  value                 = 0 (0x00)
      | | | +VarBindList            (45 bytes)
      | | | |  type                  = 48 (0x30)
      | | | |  length                = 43 (0x2b)
      | | | | +VarBind[1]             (43 bytes)
      | | | | |  type                = 48 (0x30)
      | | | | |  length              = 41 (0x29)
      | | | | | +VarBind[1]{name}       (33 bytes)
      | | | | | |  type              = 6 (0x06)
      | | | | | |  length            = 31 (0x1f)
      | | | | | |  value             = 1.3.6.1.2.1.4.35.1.4.3.2.16.63.254.5.1.255.255.1.0.0.0.0.0.0.0.0.32 (0x2b06010201042301040302103f817e0501817f817f01000000000000000020)
      | | | | | +VarBind[1]{value}      (8 bytes)
      | | | | | |  type              = 4 (0x04)
      | | | | | |  length            = 6 (0x06)
      | | | | | |  value             = 00:e0:4c:19:12:9f (0x00e04c19129f)


     ... ... ... ... ... ... ...

      Recv 10th SNMP packet at 18:37:23

      IP Packet
      | IP Header
      | | Version                    = 6
      | | Source Address             = 3ffe:501:ffff:100::10
      | | Destination Address        = 3ffe:501:ffff:100::20
      | UDP Header
      | | Source Port                = 161
      | | Destination Port           = 2000
      | +SNMP ASN.1 Message     (43 bytes)
      | |  type                      = 48 (0x30)
      | |  length                    = 41 (0x29)
      | | +version                (3 bytes)
      | | |  type                    = 2 (0x02)
      | | |  length                  = 1 (0x01)
      | | |  value                   = 1 (0x01)
      | | +community              (8 bytes)
      | | |  type                    = 4 (0x04)
      | | |  length                  = 6 (0x06)
      | | |  value                   = public (0x7075626c6963)
      | | +PDU                    (30 bytes)
      | | |  type                    = 162 (0xa2)
      | | |  length                  = 28 (0x1c)
      | | | +request-id             (3 bytes)
      | | | |  type                  = 2 (0x02)
      | | | |  length                = 1 (0x01)
      | | | |  value                 = 16 (0x10)
      | | | +error-status           (3 bytes)
      | | | |  type                  = 2 (0x02)
      | | | |  length                = 1 (0x01)
      | | | |  value                 = 0 (0x00)
      | | | +error-index            (3 bytes)
      | | | |  type                  = 2 (0x02)
      | | | |  length                = 1 (0x01)
      | | | |  value                 = 0 (0x00)
      | | | +VarBindList            (19 bytes)
      | | | |  type                  = 48 (0x30)
      | | | |  length                = 17 (0x11)
      | | | | +VarBind[1]             (17 bytes)
      | | | | |  type                = 48 (0x30)
      | | | | |  length              = 15 (0x0f)
      | | | | | +VarBind[1]{name}       (12 bytes)
      | | | | | |  type              = 6 (0x06)
      | | | | | |  length            = 10 (0x0a)
      | | | | | |  value             = 1.3.6.1.2.1.4.36.1.2.2 (0x2b060102010424010202)
      | | | | | +VarBind[1]{value}      (3 bytes)
      | | | | | |  type              = 66 (0x42)
      | | | | | |  length            = 1 (0x01)
      | | | | | |  value             = 2 (0x02)


tcpdump info:
 tcpdump -r 11.html.Link0.dump 
reading from file 11.html.Link0.dump, link-type EN10MB (Ethernet)
18:37:23.556768 IP6 3ffe:501:ffff:100::20.sieve > 3ffe:501:ffff:100::10.snmp:  GetNextRequest(24)  ip.35
18:37:23.556996 IP6 3ffe:501:ffff:100::10.snmp > 3ffe:501:ffff:100::20.sieve:  GetResponse(54)  ip.35.1.4.3.2.16.63.254.5.1.255.255.1.0.0.0.0.0.0.0.0.32=00_e0_4c_19_12_9f
18:37:23.606923 IP6 3ffe:501:ffff:100::20.sieve > 3ffe:501:ffff:100::10.snmp:  GetNextRequest(48)  ip.35.1.4.3.2.16.63.254.5.1.255.255.1.0.0.0.0.0.0.0.0.32
18:37:23.607166 IP6 3ffe:501:ffff:100::10.snmp > 3ffe:501:ffff:100::20.sieve:  GetResponse(49)  ip.35.1.6.3.2.16.63.254.5.1.255.255.1.0.0.0.0.0.0.0.0.32=3
18:37:23.616208 IP6 3ffe:501:ffff:100::20.sieve > 3ffe:501:ffff:100::10.snmp:  GetNextRequest(48)  ip.35.1.6.3.2.16.63.254.5.1.255.255.1.0.0.0.0.0.0.0.0.32
18:37:23.616383 IP6 3ffe:501:ffff:100::10.snmp > 3ffe:501:ffff:100::20.sieve:  GetResponse(49)  ip.35.1.7.3.2.16.63.254.5.1.255.255.1.0.0.0.0.0.0.0.0.32=1
18:37:23.625326 IP6 3ffe:501:ffff:100::20.sieve > 3ffe:501:ffff:100::10.snmp:  GetNextRequest(48)  ip.35.1.7.3.2.16.63.254.5.1.255.255.1.0.0.0.0.0.0.0.0.32
18:37:23.625535 IP6 3ffe:501:ffff:100::10.snmp > 3ffe:501:ffff:100::20.sieve:  GetResponse(49)  ip.35.1.8.3.2.16.63.254.5.1.255.255.1.0.0.0.0.0.0.0.0.32=1
18:37:23.634509 IP6 3ffe:501:ffff:100::20.sieve > 3ffe:501:ffff:100::10.snmp:  GetNextRequest(48)  ip.35.1.8.3.2.16.63.254.5.1.255.255.1.0.0.0.0.0.0.0.0.32
18:37:23.634795 IP6 3ffe:501:ffff:100::10.snmp > 3ffe:501:ffff:100::20.sieve:  GetResponse(28)  ip.36.1.2.2=2
Comment 1 wang jiabo 2008-12-18 20:48:33 EST
cat snmpd.conf 

###############################################################################
#
# snmpd.conf:
#   An example configuration file for configuring the ucd-snmp snmpd agent.
#
###############################################################################
#
# This file is intended to only be as a starting point.  Many more
# configuration directives exist than are mentioned in this file.  For 
# full details, see the snmpd.conf(5) manual page.
#
# All lines beginning with a '#' are comments and are intended for you
# to read.  All other lines are configuration commands for the agent.

###############################################################################
# Access Control
###############################################################################

# As shipped, the snmpd demon will only respond to queries on the
# system mib group until this file is replaced or modified for
# security purposes.  Examples are shown below about how to increase the
# level of access.

# By far, the most common question I get about the agent is "why won't
# it work?", when really it should be "how do I configure the agent to
# allow me to access it?"
#
# By default, the agent responds to the "public" community for read
# only access, if run out of the box without any configuration file in 
# place.  The following examples show you other ways of configuring
# the agent so that you can change the community names, and give
# yourself write access to the mib tree as well.
#
# For more information, read the FAQ as well as the snmpd.conf(5)
# manual page.

####
# First, map the community name "public" into a "security name"

#       sec.name  source          community
com2sec notConfigUser  default       public

####
# Second, map the security name into a group name:

#       groupName      securityModel securityName
group   notConfigGroup v1           notConfigUser
group   notConfigGroup v2c           notConfigUser

group           groupv3         usm     ipv6dod

####
# Third, create a view for us to let the group have rights to:

# Make at least  snmpwalk -v 1 localhost -c public system fast again.
#       name           incl/excl     subtree         mask(optional)
view    systemview    included   .1.3.6.1.2.1.1
view    systemview    included   .1.3.6.1.2.1.25.1.1

####
# Finally, grant the group read-only access to the systemview view.

#       group          context sec.model sec.level prefix read   write  notif
access  notConfigGroup ""      any       noauth    exact  systemview none none

# -----------------------------------------------------------------------------

# Here is a commented out example configuration that allows less
# restrictive access.

# YOU SHOULD CHANGE THE "COMMUNITY" TOKEN BELOW TO A NEW KEYWORD ONLY
# KNOWN AT YOUR SITE.  YOU *MUST* CHANGE THE NETWORK TOKEN BELOW TO
# SOMETHING REFLECTING YOUR LOCAL NETWORK ADDRESS SPACE.

##       sec.name  source          community
#com2sec local     localhost       COMMUNITY
#com2sec mynetwork NETWORK/24      COMMUNITY

com2sec local default public
com2sec6 local default public
com2sec mynet 192.168.0.0/24 public
com2sec mynet 3ffe:501:ffff:100::/64 public

createUser ipv6dod MD5 ipv6dodtest DES

##     group.name sec.model  sec.name
#group MyRWGroup  any        local
#group MyROGroup  any        mynetwork
#
#group MyRWGroup  any        otherv3user
#...
group   mygroup v1 mynet
group   mygroup v2c mynet
group   mygroup usm mynet
group   local v1 local
group   local v2c local
group   local usm local

##           incl/excl subtree                          mask
view all    included  .1                               80
## -or just the mib2 tree-

view mib2   included  .iso.org.dod.internet.mgmt.mib-2 fc
view        included  .iso                              80

##                context sec.model sec.level prefix read   write  notif
#access MyROGroup ""      any       noauth    0      all    none   none
#access MyRWGroup ""      any       noauth    0      all    all    all
access  mygroup    ""     any       noauth    exact  mib2   none    none
access  local     ""      any       noauth    exact  all     all    all
access  groupv3   ""      any       noauth    exact  all     all    all      

###############################################################################
# Sample configuration to make net-snmpd RFC 1213.
# Unfortunately v1 and v2c don't allow any user based authentification, so
# opening up the default config is not an option from a security point.
#
# WARNING: If you uncomment the following lines you allow write access to your
# snmpd daemon from any source! To avoid this use different names for your
# community or split out the write access to a different community and 
# restrict it to your local network.
# Also remember to comment the syslocation and syscontact parameters later as
# otherwise they are still read only (see FAQ for net-snmp).
#

# First, map the community name "public" into a "security name"
#       sec.name        source          community
#com2sec notConfigUser   default         public

# Second, map the security name into a group name:
#       groupName       securityModel   securityName
#group   notConfigGroup  v1              notConfigUser
#group   notConfigGroup  v2c             notConfigUser

# Third, create a view for us to let the group have rights to:
# Open up the whole tree for ro, make the RFC 1213 required ones rw.
#       name            incl/excl       subtree mask(optional)
#view    roview          included        .1
#view    rwview          included        system.sysContact
#view    rwview          included        system.sysName
#view    rwview          included        system.sysLocation
#view    rwview          included        interfaces.ifTable.ifEntry.ifAdminStatus
#view    rwview          included        at.atTable.atEntry.atPhysAddress
#view    rwview          included        at.atTable.atEntry.atNetAddress
#view    rwview          included        ip.ipForwarding
#view    rwview          included        ip.ipDefaultTTL
#view    rwview          included        ip.ipRouteTable.ipRouteEntry.ipRouteDest
#view    rwview          included        ip.ipRouteTable.ipRouteEntry.ipRouteIfIndex
#view    rwview          included        ip.ipRouteTable.ipRouteEntry.ipRouteMetric1
#view    rwview          included        ip.ipRouteTable.ipRouteEntry.ipRouteMetric2
#view    rwview          included        ip.ipRouteTable.ipRouteEntry.ipRouteMetric3
#view    rwview          included        ip.ipRouteTable.ipRouteEntry.ipRouteMetric4
#view    rwview          included        ip.ipRouteTable.ipRouteEntry.ipRouteType
#view    rwview          included        ip.ipRouteTable.ipRouteEntry.ipRouteAge
#view    rwview          included        ip.ipRouteTable.ipRouteEntry.ipRouteMask
#view    rwview          included        ip.ipRouteTable.ipRouteEntry.ipRouteMetric5
#view    rwview          included        ip.ipNetToMediaTable.ipNetToMediaEntry.ipNetToMediaIfIndex
#view    rwview          included        ip.ipNetToMediaTable.ipNetToMediaEntry.ipNetToMediaPhysAddress
#view    rwview          included        ip.ipNetToMediaTable.ipNetToMediaEntry.ipNetToMediaNetAddress
#view    rwview          included        ip.ipNetToMediaTable.ipNetToMediaEntry.ipNetToMediaType
#view    rwview          included        tcp.tcpConnTable.tcpConnEntry.tcpConnState
#view    rwview          included        egp.egpNeighTable.egpNeighEntry.egpNeighEventTrigger
#view    rwview          included        snmp.snmpEnableAuthenTraps

# Finally, grant the group read-only access to the systemview view.
#       group          context sec.model sec.level prefix read   write  notif
#access  notConfigGroup ""      any       noauth    exact  roview rwview none



###############################################################################
# System contact information
#

# It is also possible to set the sysContact and sysLocation system
# variables through the snmpd.conf file:

syslocation raycom office (edit /etc/snmp/snmpd.conf)
syscontact jiabwang@redhat.com (configure /etc/snmp/snmp.local.conf)
sysservices  72
#sysUpTime      Timeticks:(595637548) 68 days, 22:32:55

# Example output of snmpwalk:
#   % snmpwalk -v 1 localhost -c public system
#   system.sysDescr.0 = "SunOS name sun4c"
#   system.sysObjectID.0 = OID: enterprises.ucdavis.ucdSnmpAgent.sunos4
#   system.sysUpTime.0 = Timeticks: (595637548) 68 days, 22:32:55
#   system.sysContact.0 = "Me <me@somewhere.org>"
#   system.sysName.0 = "name"
#   system.sysLocation.0 = "Right here, right now."
#   system.sysServices.0 = 72


# -----------------------------------------------------------------------------


###############################################################################
# Process checks.
#
#  The following are examples of how to use the agent to check for
#  processes running on the host.  The syntax looks something like:
#
#  proc NAME [MAX=0] [MIN=0]
#
#  NAME:  the name of the process to check for.  It must match
#         exactly (ie, http will not find httpd processes).
#  MAX:   the maximum number allowed to be running.  Defaults to 0.
#  MIN:   the minimum number to be running.  Defaults to 0.

#
#  Examples (commented out by default):
#

#  Make sure mountd is running
#proc mountd

#  Make sure there are no more than 4 ntalkds running, but 0 is ok too.
#proc ntalkd 4

#  Make sure at least one sendmail, but less than or equal to 10 are running.
#proc sendmail 10 1

#  A snmpwalk of the process mib tree would look something like this:
# 
# % snmpwalk -v 1 localhost -c public .1.3.6.1.4.1.2021.2
# enterprises.ucdavis.procTable.prEntry.prIndex.1 = 1
# enterprises.ucdavis.procTable.prEntry.prIndex.2 = 2
# enterprises.ucdavis.procTable.prEntry.prIndex.3 = 3
# enterprises.ucdavis.procTable.prEntry.prNames.1 = "mountd"
# enterprises.ucdavis.procTable.prEntry.prNames.2 = "ntalkd"
# enterprises.ucdavis.procTable.prEntry.prNames.3 = "sendmail"
# enterprises.ucdavis.procTable.prEntry.prMin.1 = 0
# enterprises.ucdavis.procTable.prEntry.prMin.2 = 0
# enterprises.ucdavis.procTable.prEntry.prMin.3 = 1
# enterprises.ucdavis.procTable.prEntry.prMax.1 = 0
# enterprises.ucdavis.procTable.prEntry.prMax.2 = 4
# enterprises.ucdavis.procTable.prEntry.prMax.3 = 10
# enterprises.ucdavis.procTable.prEntry.prCount.1 = 0
# enterprises.ucdavis.procTable.prEntry.prCount.2 = 0
# enterprises.ucdavis.procTable.prEntry.prCount.3 = 1
# enterprises.ucdavis.procTable.prEntry.prErrorFlag.1 = 1
# enterprises.ucdavis.procTable.prEntry.prErrorFlag.2 = 0
# enterprises.ucdavis.procTable.prEntry.prErrorFlag.3 = 0
# enterprises.ucdavis.procTable.prEntry.prErrMessage.1 = "No mountd process running."
# enterprises.ucdavis.procTable.prEntry.prErrMessage.2 = ""
# enterprises.ucdavis.procTable.prEntry.prErrMessage.3 = ""
# enterprises.ucdavis.procTable.prEntry.prErrFix.1 = 0
# enterprises.ucdavis.procTable.prEntry.prErrFix.2 = 0
# enterprises.ucdavis.procTable.prEntry.prErrFix.3 = 0
#
#  Note that the errorFlag for mountd is set to 1 because one is not
#  running (in this case an rpc.mountd is, but thats not good enough),
#  and the ErrMessage tells you what's wrong.  The configuration
#  imposed in the snmpd.conf file is also shown.  
# 
#  Special Case:  When the min and max numbers are both 0, it assumes
#  you want a max of infinity and a min of 1.
#


# -----------------------------------------------------------------------------


###############################################################################
# Executables/scripts
#

#
#  You can also have programs run by the agent that return a single
#  line of output and an exit code.  Here are two examples.
#
#  exec NAME PROGRAM [ARGS ...]
#
#  NAME:     A generic name.
#  PROGRAM:  The program to run.  Include the path!
#  ARGS:     optional arguments to be passed to the program

# a simple hello world

#exec echotest /bin/echo hello world

# Run a shell script containing:
#
# #!/bin/sh
# echo hello world
# echo hi there
# exit 35
#
# Note:  this has been specifically commented out to prevent
# accidental security holes due to someone else on your system writing
# a /tmp/shtest before you do.  Uncomment to use it.
#
#exec shelltest /bin/sh /tmp/shtest

# Then, 
# % snmpwalk -v 1 localhost -c public .1.3.6.1.4.1.2021.8
# enterprises.ucdavis.extTable.extEntry.extIndex.1 = 1
# enterprises.ucdavis.extTable.extEntry.extIndex.2 = 2
# enterprises.ucdavis.extTable.extEntry.extNames.1 = "echotest"
# enterprises.ucdavis.extTable.extEntry.extNames.2 = "shelltest"
# enterprises.ucdavis.extTable.extEntry.extCommand.1 = "/bin/echo hello world"
# enterprises.ucdavis.extTable.extEntry.extCommand.2 = "/bin/sh /tmp/shtest"
# enterprises.ucdavis.extTable.extEntry.extResult.1 = 0
# enterprises.ucdavis.extTable.extEntry.extResult.2 = 35
# enterprises.ucdavis.extTable.extEntry.extOutput.1 = "hello world."
# enterprises.ucdavis.extTable.extEntry.extOutput.2 = "hello world."
# enterprises.ucdavis.extTable.extEntry.extErrFix.1 = 0
# enterprises.ucdavis.extTable.extEntry.extErrFix.2 = 0

# Note that the second line of the /tmp/shtest shell script is cut
# off.  Also note that the exit status of 35 was returned.

# -----------------------------------------------------------------------------


###############################################################################
# disk checks
#

# The agent can check the amount of available disk space, and make
# sure it is above a set limit.  

# disk PATH [MIN=100000]
#
# PATH:  mount path to the disk in question.
# MIN:   Disks with space below this value will have the Mib's errorFlag set.
#        Default value = 100000.

# Check the / partition and make sure it contains at least 10 megs.

#disk / 10000

# % snmpwalk -v 1 localhost -c public .1.3.6.1.4.1.2021.9
# enterprises.ucdavis.diskTable.dskEntry.diskIndex.1 = 0
# enterprises.ucdavis.diskTable.dskEntry.diskPath.1 = "/" Hex: 2F 
# enterprises.ucdavis.diskTable.dskEntry.diskDevice.1 = "/dev/dsk/c201d6s0"
# enterprises.ucdavis.diskTable.dskEntry.diskMinimum.1 = 10000
# enterprises.ucdavis.diskTable.dskEntry.diskTotal.1 = 837130
# enterprises.ucdavis.diskTable.dskEntry.diskAvail.1 = 316325
# enterprises.ucdavis.diskTable.dskEntry.diskUsed.1 = 437092
# enterprises.ucdavis.diskTable.dskEntry.diskPercent.1 = 58
# enterprises.ucdavis.diskTable.dskEntry.diskErrorFlag.1 = 0
# enterprises.ucdavis.diskTable.dskEntry.diskErrorMsg.1 = ""

# -----------------------------------------------------------------------------


###############################################################################
# load average checks
#

# load [1MAX=12.0] [5MAX=12.0] [15MAX=12.0]
#
# 1MAX:   If the 1 minute load average is above this limit at query
#         time, the errorFlag will be set.
# 5MAX:   Similar, but for 5 min average.
# 15MAX:  Similar, but for 15 min average.

# Check for loads:
#load 12 14 14

# % snmpwalk -v 1 localhost -c public .1.3.6.1.4.1.2021.10
# enterprises.ucdavis.loadTable.laEntry.loadaveIndex.1 = 1
# enterprises.ucdavis.loadTable.laEntry.loadaveIndex.2 = 2
# enterprises.ucdavis.loadTable.laEntry.loadaveIndex.3 = 3
# enterprises.ucdavis.loadTable.laEntry.loadaveNames.1 = "Load-1"
# enterprises.ucdavis.loadTable.laEntry.loadaveNames.2 = "Load-5"
# enterprises.ucdavis.loadTable.laEntry.loadaveNames.3 = "Load-15"
# enterprises.ucdavis.loadTable.laEntry.loadaveLoad.1 = "0.49" Hex: 30 2E 34 39 
# enterprises.ucdavis.loadTable.laEntry.loadaveLoad.2 = "0.31" Hex: 30 2E 33 31 
# enterprises.ucdavis.loadTable.laEntry.loadaveLoad.3 = "0.26" Hex: 30 2E 32 36 
# enterprises.ucdavis.loadTable.laEntry.loadaveConfig.1 = "12.00"
# enterprises.ucdavis.loadTable.laEntry.loadaveConfig.2 = "14.00"
# enterprises.ucdavis.loadTable.laEntry.loadaveConfig.3 = "14.00"
# enterprises.ucdavis.loadTable.laEntry.loadaveErrorFlag.1 = 0
# enterprises.ucdavis.loadTable.laEntry.loadaveErrorFlag.2 = 0
# enterprises.ucdavis.loadTable.laEntry.loadaveErrorFlag.3 = 0
# enterprises.ucdavis.loadTable.laEntry.loadaveErrMessage.1 = ""
# enterprises.ucdavis.loadTable.laEntry.loadaveErrMessage.2 = ""
# enterprises.ucdavis.loadTable.laEntry.loadaveErrMessage.3 = ""

# -----------------------------------------------------------------------------


###############################################################################
# Extensible sections.
# 

# This alleviates the multiple line output problem found in the
# previous executable mib by placing each mib in its own mib table:

# Run a shell script containing:
#
# #!/bin/sh
# echo hello world
# echo hi there
# exit 35
#
# Note:  this has been specifically commented out to prevent
# accidental security holes due to someone else on your system writing
# a /tmp/shtest before you do.  Uncomment to use it.
#
# exec .1.3.6.1.4.1.2021.50 shelltest /bin/sh /tmp/shtest

# % snmpwalk -v 1 localhost -c public .1.3.6.1.4.1.2021.50
# enterprises.ucdavis.50.1.1 = 1
# enterprises.ucdavis.50.2.1 = "shelltest"
# enterprises.ucdavis.50.3.1 = "/bin/sh /tmp/shtest"
# enterprises.ucdavis.50.100.1 = 35
# enterprises.ucdavis.50.101.1 = "hello world."
# enterprises.ucdavis.50.101.2 = "hi there."
# enterprises.ucdavis.50.102.1 = 0

# Now the Output has grown to two lines, and we can see the 'hi
# there.' output as the second line from our shell script.
#
# Note that you must alter the mib.txt file to be correct if you want
# the .50.* outputs above to change to reasonable text descriptions.

# Other ideas:
# 
# exec .1.3.6.1.4.1.2021.51 ps /bin/ps 
# exec .1.3.6.1.4.1.2021.52 top /usr/local/bin/top
# exec .1.3.6.1.4.1.2021.53 mailq /usr/bin/mailq

# -----------------------------------------------------------------------------


###############################################################################
# Pass through control.
# 

# Usage:
#   pass MIBOID EXEC-COMMAND
#
# This will pass total control of the mib underneath the MIBOID
# portion of the mib to the EXEC-COMMAND.  
#
# Note:  You'll have to change the path of the passtest script to your
# source directory or install it in the given location.
# 
# Example:  (see the script for details)
#           (commented out here since it requires that you place the
#           script in the right location. (its not installed by default))

# pass .1.3.6.1.4.1.2021.255 /bin/sh /usr/local/local/passtest

# % snmpwalk -v 1 localhost -c public .1.3.6.1.4.1.2021.255
# enterprises.ucdavis.255.1 = "life the universe and everything"
# enterprises.ucdavis.255.2.1 = 42
# enterprises.ucdavis.255.2.2 = OID: 42.42.42
# enterprises.ucdavis.255.3 = Timeticks: (363136200) 42 days, 0:42:42
# enterprises.ucdavis.255.4 = IpAddress: 127.0.0.1
# enterprises.ucdavis.255.5 = 42
# enterprises.ucdavis.255.6 = Gauge: 42
#
# % snmpget -v 1 localhost public .1.3.6.1.4.1.2021.255.5
# enterprises.ucdavis.255.5 = 42
#
# % snmpset -v 1 localhost public .1.3.6.1.4.1.2021.255.1 s "New string"
# enterprises.ucdavis.255.1 = "New string"
#

# For specific usage information, see the man/snmpd.conf.5 manual page
# as well as the local/passtest script used in the above example.

# Added for support of bcm5820 cards.
pass .1.3.6.1.4.1.4413.4.1 /usr/bin/ucd5820stat

###############################################################################
# Further Information
#
#  See the snmpd.conf manual page, and the output of "snmpd -H".
Comment 2 Jan Safranek 2009-01-06 03:49:35 EST
ipNetToPhysicalLastUpdated is not provided by net-snmp daemon. The reason is that kernel does not report any timestamp when an entry was created/updated. Net-snmp daemon could reconstruct the value, but it would require frequent polling of the ARP table (which would have performance impact) or the value would not be precise (let's say +/-30 seconds). We (RedHat + IBM) considered as overkill when implementing the table and decided it's better to report nothing.

Technically it's not difficult to implement the OID, if there is a customer requesting it - but it will have aforementioned consequences, low precision or performance impacts.
Comment 3 Lawrence Lim 2009-01-06 21:16:31 EST
Thanks for the comment Jan. In that case, can I assume we should not be targeting this certification in RHEL5? Would we be considering implementing in the near future such as F11? If that's the case, we would dropped SNMP certification for IPv6 completely.
Comment 4 Jan Safranek 2009-01-09 06:39:20 EST
Would be 15-30 sec. precision enough for the certification? Or are there any precision requirements at all? If values +/- 15-30 seconds are ok, then it can be implemented easily (RHEL 5.4) and without significant impacts. But I'd guess it's pretty useless value then...
Comment 5 Lawrence Lim 2009-01-12 03:50:38 EST
RE: Comment #4,

Would it be possible for you to prepare a test package for us to try it out?
Comment 6 Jan Safranek 2009-01-19 08:41:11 EST
Created attachment 329334 [details]
patch candidate

The attached patch adds ipNetToPhysicalLastUpdated to the table.

It's refreshed every 15 seconds. There are two ways how to set the timeout:
- directly in the patch - look for #define INETNETTOMEDIATABLE_CACHE_TIMEOUT
- without recompilation - after snmpd startup for the instance of snmpd:

snmpset -v2c -c public localhost nsCacheTimeout.1.3.6.1.2.1.4.35 i <timeout in seconds>

It seems to work for me on my desktop, I don't have any router with big and variable arp table where I could test real scenarios.

Precompiled binaries for RHEL5 can be found at http://porkchop.redhat.com/brewroot/scratch/jsafrane/task_1653067/. Beware, they will be automatically deleted in 1-2 weeks.
Comment 7 Lawrence Lim 2009-01-19 09:25:08 EST
Thanks Jan.

llim->jiabwang: pls test the package at the earliest possible time this week.
Comment 8 wang jiabo 2009-01-20 04:04:32 EST
the patch fixed the bug for Internet Address Translation Table on RFC4293,
but  another case,RFC4293 ipNetToPhysicalAddress Check,also is failure in Internet Address Translation Table on RFC4293.
do you think I need reopen a bug for ipNetToPhysicalAddress on Internet Address Translation Table on RFC4293.


the following is the log info.:

Title	RFC4293 ipNetToPhysicalAddress Check
CommandLine	./MIB_RFC4293_IPNettoPhyAddrCheck.seq -pkt ./MIB_RFC4293_IPNettoPhyAddrCheck.def -log 13.html -ti RFC4293 ipNetToPhysicalAddress Check
TestVersion	MGM100_AG_1_0_1
ToolVersion	REL_3_1_0
Start	2009/01/20 15:34:04
Tn	/usr/local/v6eval//etc//tn.def
Nu	/usr/local/v6eval//etc//nut.def
Pkt	./MIB_RFC4293_IPNettoPhyAddrCheck.def
System	rhel51
TargetName	RHEL5.3
HostName	ipv6test
Type	host
Test Sequence Execution Log
15:34:04	Start

	Target: Reboot
15:34:04 	vRemote(reboot.rmt) ``/usr/local/v6eval//bin/rhel51//reboot.rmt -t rhel51 -u root -p redhat -d cuad0 -o 1 timeout=300''

Connected
prompt_user: ``login: '', prompt_password: ``Password: '', prompt_command: ``(\$|#) ''
rLogin: Wait for login prompt (0.2 sec)...
rLogin: Never got prompt; try again
rLogin: Wait for login prompt (50 sec)...

Red Hat Enterprise Linux Server release 5.2 (Tikanga)
Kernel 2.6.18-92.el5 on an i686

testrhel5.2 login: rLogin: Got login prompt
rlogin: wait for password prompt
rLogin: Wait for password prompt (50 sec)
root
Password: rLogin: Got password prompt
rLogin: Wait for command prompt (50 sec)

Last login: Tue Jan 20 15:27:41 on ttyS0
[root@testrhel5 ~]# rLogin: Got command prompt
_rCommand: Try to get command prompt (0.2 sec.)
_rCommand: (\$|#) 
_rCommand: command prompt...
_rCommand: Try to get command prompt (5 sec.)
_rCommand: (\$|#) 

[root@testrhel5 ~]# _rCommand: Do ``reboot'' command
reboot

Broadcast message from ro
Red Hat Enterprise Linux Server release 5.2 (Tikanga)
Kernel 2.6.18-92.el5 on an i686

testrhel5.2 login: ~
[EOT]

15:36:32 	Wait 0 second

	OK

	Initialization
15:36:32	Start Capturing Packets (Link0)
15:36:32	vSend(Link0,echo_request_link_local)
Send Echo Request (Link-local address)
15:36:32 	vRecv(Link0,echo_reply_link_local ns_local ns_local_sll) timeout:5 cntLimit:0 seektime:0
Receive Neighbor Solicitation
15:36:32	vSend(Link0,echo_request_link_local)
Send Echo Request (Link-local address)
15:36:32 	vRecv(Link0,echo_reply_link_local ns_local ns_local_sll) timeout:5 cntLimit:0 seektime:0
Receive Neighbor Solicitation

	TN created the entry of TN's link-local address to Neighbor Cache of NUT.
15:36:33	vSend(Link0,ra_start)
send ra_start
15:36:33 	Wait 5 second
15:36:38	Clear Captured Packets (Link0)
15:36:38	Stop Capturing Packets (Link0)
15:36:38	SNMP Connect
  SrcAddr:3ffe:501:ffff:100::20  SrcPort:2000
  DstAddr:3ffe:501:ffff:100:021d:0fff:fe0f:be4e  DstPort:161
done
  SocketID:3

	Perform SNMPWalk through the MIB-tree, beginning from '1.3.6.1.2.1.4.35.1.4' to '1.3.6.1.2.1.4.35.1.5'
15:36:38	SNMP try to send...
  SrcAddr:3ffe:501:ffff:100::20  SrcPort:2000
  DstAddr:3ffe:501:ffff:100:021d:0fff:fe0f:be4e  DstPort:161
done
  send to SocketID:3
send 1st SNMP packet
15:36:38	SNMP try to receive...
  SrcAddr:3ffe:501:ffff:100:021d:0fff:fe0f:be4e  SrcPort:161
  DstAddr:3ffe:501:ffff:100::20  DstPort:2000
done
  received from SocketID:3
received 2nd SNMP packet
15:36:38	SNMP try to send...
  SrcAddr:3ffe:501:ffff:100::20  SrcPort:2000
  DstAddr:3ffe:501:ffff:100:021d:0fff:fe0f:be4e  DstPort:161
done
  send to SocketID:3
send 3rd SNMP packet
15:36:38	SNMP try to receive...
  SrcAddr:3ffe:501:ffff:100:021d:0fff:fe0f:be4e  SrcPort:161
  DstAddr:3ffe:501:ffff:100::20  DstPort:2000
done
  received from SocketID:3
received 4th SNMP packet

	OK, Found [Link_Local_Addr] entry, and NO [Glocal_Addr] entry.

	Now REF-NODE sending ICMP Echo Request to NUT.
15:36:38	Start Capturing Packets (Link0)
15:36:38	vSend(Link0,echo_request_global)
Send Echo Request (Global address)
15:36:38 	vRecv(Link0,echo_reply_global ns_global ns_global_sll ns_global_from_local ns_global_sll_from_local ns_local ns_local_sll) timeout:5 cntLimit:0 seektime:0
Receive Neighbor Solicitation
15:36:38	vSend(Link0,na_global)
Send Neighbor Advertisement
15:36:38 	vRecv(Link0,echo_reply_global) timeout:5 cntLimit:0 seektime:0
Receive Echo Reply (Global address)

	

TN receive an expected packet from NUT

TN can receive Echo Reply from NUT.
15:36:38	Stop Capturing Packets (Link0)

	Perform SNMPWalk through the MIB-tree, beginning from '1.3.6.1.2.1.4.35.1.4' to '1.3.6.1.2.1.4.35.1.5'
15:36:38	SNMP try to send...
  SrcAddr:3ffe:501:ffff:100::20  SrcPort:2000
  DstAddr:3ffe:501:ffff:100:021d:0fff:fe0f:be4e  DstPort:161
done
  send to SocketID:3
send 5th SNMP packet
15:36:38	SNMP try to receive...
  SrcAddr:3ffe:501:ffff:100:021d:0fff:fe0f:be4e  SrcPort:161
  DstAddr:3ffe:501:ffff:100::20  DstPort:2000
done
  received from SocketID:3
received 6th SNMP packet
15:36:38	SNMP try to send...
  SrcAddr:3ffe:501:ffff:100::20  SrcPort:2000
  DstAddr:3ffe:501:ffff:100:021d:0fff:fe0f:be4e  DstPort:161
done
  send to SocketID:3
send 7th SNMP packet
15:36:38	SNMP try to receive...
  SrcAddr:3ffe:501:ffff:100:021d:0fff:fe0f:be4e  SrcPort:161
  DstAddr:3ffe:501:ffff:100::20  DstPort:2000
done
  received from SocketID:3
received 8th SNMP packet

	Unable to find ipNetToPhysicalPhysAddress.[Global_Addr]

	FAIL
15:36:38	End
Packet Reverse Log

      Send Echo Request (Link-local address) at 15:36:32

      Frame_Ether                     (length:68)
      | Hdr_Ether                       (length:14)
      | | DestinationAddress               = 00:1d:0f:0f:be:4e
      | | SourceAddress                    = 00:00:00:00:01:00
      | | Type                             = 34525
      | Packet_IPv6                     (length:54)
      | | Hdr_IPv6                        (length:40)
      | | | Version                          = 6
      | | | TrafficClass                     = 0
      | | | FlowLabel                        = 0
      | | | PayloadLength                    = 14
      | | | NextHeader                       = 58
      | | | HopLimit                         = 64
      | | | SourceAddress                    = fe80::200:ff:fe00:100
      | | | DestinationAddress               = fe80::21d:fff:fe0f:be4e
      | | ICMPv6_EchoRequest              (length:14)
      | | | Type                             = 128
      | | | Code                             = 0
      | | | Checksum                         = 45626 calc(45626)
      | | | Identifier                       = 0
      | | | SequenceNumber                   = 0
      | | | Payload                         (length:6)
      | | | | data                             = ffffffff ffff

      Recv at 15:36:32

      Frame_Ether                     (length:86)
      | Hdr_Ether                       (length:14)
      | | DestinationAddress               = 33:33:ff:00:01:00
      | | SourceAddress                    = 00:1d:0f:0f:be:4e
      | | Type                             = 34525
      | Packet_IPv6                     (length:72)
      | | Hdr_IPv6                        (length:40)
      | | | Version                          = 6
      | | | TrafficClass                     = 0
      | | | FlowLabel                        = 0
      | | | PayloadLength                    = 32
      | | | NextHeader                       = 58
      | | | HopLimit                         = 255
      | | | SourceAddress                    = fe80::21d:fff:fe0f:be4e
      | | | DestinationAddress               = ff02::1:ff00:100
      | | ICMPv6_NS                       (length:32)
      | | | Type                             = 135
      | | | Code                             = 0
      | | | Checksum                         = 56743 calc(56743)
      | | | Reserved                         = 0
      | | | TargetAddress                    = fe80::200:ff:fe00:100
      | | | Opt_ICMPv6_SLL                  (length:8)
      | | | | Type                             = 1
      | | | | Length                           = 1
      | | | | LinkLayerAddress                 = 00:1d:0f:0f:be:4e
      ===echo_reply_link_local=================================
      ng compare _HETHER_nut2tn.DestinationAddress received:33:33:ff:00:01:00 = 00:00:00:00:01:00
      ng compare _HDR_IPV6_echo_reply_link_local.DestinationAddress received:ff02::1:ff00:100 = fe80::200:ff:fe00:100
      ng meta Packet_IPv6.ICMPv6_EchoReply != Packet_IPv6.ICMPv6_NS
      ===ns_local=================================
      ng count Packet_IPv6.ICMPv6_NS != Packet_IPv6.ICMPv6_NS
      ===ns_local_sll=================================

      Send Echo Request (Link-local address) at 15:36:32

      Frame_Ether                     (length:68)
      | Hdr_Ether                       (length:14)
      | | DestinationAddress               = 00:1d:0f:0f:be:4e
      | | SourceAddress                    = 00:00:00:00:01:00
      | | Type                             = 34525
      | Packet_IPv6                     (length:54)
      | | Hdr_IPv6                        (length:40)
      | | | Version                          = 6
      | | | TrafficClass                     = 0
      | | | FlowLabel                        = 0
      | | | PayloadLength                    = 14
      | | | NextHeader                       = 58
      | | | HopLimit                         = 64
      | | | SourceAddress                    = fe80::200:ff:fe00:100
      | | | DestinationAddress               = fe80::21d:fff:fe0f:be4e
      | | ICMPv6_EchoRequest              (length:14)
      | | | Type                             = 128
      | | | Code                             = 0
      | | | Checksum                         = 45626 calc(45626)
      | | | Identifier                       = 0
      | | | SequenceNumber                   = 0
      | | | Payload                         (length:6)
      | | | | data                             = ffffffff ffff

      Recv at 15:36:33

      Frame_Ether                     (length:86)
      | Hdr_Ether                       (length:14)
      | | DestinationAddress               = 33:33:ff:00:01:00
      | | SourceAddress                    = 00:1d:0f:0f:be:4e
      | | Type                             = 34525
      | Packet_IPv6                     (length:72)
      | | Hdr_IPv6                        (length:40)
      | | | Version                          = 6
      | | | TrafficClass                     = 0
      | | | FlowLabel                        = 0
      | | | PayloadLength                    = 32
      | | | NextHeader                       = 58
      | | | HopLimit                         = 255
      | | | SourceAddress                    = fe80::21d:fff:fe0f:be4e
      | | | DestinationAddress               = ff02::1:ff00:100
      | | ICMPv6_NS                       (length:32)
      | | | Type                             = 135
      | | | Code                             = 0
      | | | Checksum                         = 56743 calc(56743)
      | | | Reserved                         = 0
      | | | TargetAddress                    = fe80::200:ff:fe00:100
      | | | Opt_ICMPv6_SLL                  (length:8)
      | | | | Type                             = 1
      | | | | Length                           = 1
      | | | | LinkLayerAddress                 = 00:1d:0f:0f:be:4e
      ===echo_reply_link_local=================================
      ng compare _HETHER_nut2tn.DestinationAddress received:33:33:ff:00:01:00 = 00:00:00:00:01:00
      ng compare _HDR_IPV6_echo_reply_link_local.DestinationAddress received:ff02::1:ff00:100 = fe80::200:ff:fe00:100
      ng meta Packet_IPv6.ICMPv6_EchoReply != Packet_IPv6.ICMPv6_NS
      ===ns_local=================================
      ng count Packet_IPv6.ICMPv6_NS != Packet_IPv6.ICMPv6_NS
      ===ns_local_sll=================================

      send ra_start at 15:36:33

      Frame_Ether                     (length:110)
      | Hdr_Ether                       (length:14)
      | | DestinationAddress               = 33:33:00:00:00:01
      | | SourceAddress                    = 00:00:00:00:01:00
      | | Type                             = 34525
      | Packet_IPv6                     (length:96)
      | | Hdr_IPv6                        (length:40)
      | | | Version                          = 6
      | | | TrafficClass                     = 0
      | | | FlowLabel                        = 0
      | | | PayloadLength                    = 56
      | | | NextHeader                       = 58
      | | | HopLimit                         = 255
      | | | SourceAddress                    = fe80::200:ff:fe00:100
      | | | DestinationAddress               = ff02::1
      | | ICMPv6_RA                       (length:56)
      | | | Type                             = 134
      | | | Code                             = 0
      | | | Checksum                         = 9316 calc(9316)
      | | | CurHopLimit                      = 254
      | | | MFlag                            = 0
      | | | OFlag                            = 0
      | | | HFlag                            = 0
      | | | Preference                       = 0
      | | | Reserved                         = 0
      | | | LifeTime                         = 30
      | | | ReachableTime                    = 60000
      | | | RetransTimer                     = 1000
      | | | Opt_ICMPv6_SLL                  (length:8)
      | | | | Type                             = 1
      | | | | Length                           = 1
      | | | | LinkLayerAddress                 = 00:00:00:00:01:00
      | | | Opt_ICMPv6_Prefix               (length:32)
      | | | | Type                             = 3
      | | | | Length                           = 4
      | | | | PrefixLength                     = 64
      | | | | LFlag                            = 1
      | | | | AFlag                            = 1
      | | | | RFlag                            = 0
      | | | | Reserved1                        = 0
      | | | | ValidLifetime                    = 3600005
      | | | | PreferredLifetime                = 3600005
      | | | | Reserved2                        = 0
      | | | | Prefix                           = 3ffe:501:ffff:100::

      Send 1st SNMP packet at 15:36:38

      IP Packet
      | IP Header
      | | Version                    = 6
      | | Source Address             = 3ffe:501:ffff:100::20
      | | Destination Address        = 3ffe:501:ffff:100:21d:fff:fe0f:be4e
      | UDP Header
      | | Source Port                = 2000
      | | Destination Port           = 161
      | +SNMP ASN.1 Message     (41 bytes)
      | |  type                      = 48 (0x30)
      | |  length                    = 39 (0x27)
      | | +version                (3 bytes)
      | | |  type                    = 2 (0x02)
      | | |  length                  = 1 (0x01)
      | | |  value                   = 1 (0x01)
      | | +community              (8 bytes)
      | | |  type                    = 4 (0x04)
      | | |  length                  = 6 (0x06)
      | | |  value                   = public (0x7075626c6963)
      | | +PDU                    (28 bytes)
      | | |  type                    = 161 (0xa1)
      | | |  length                  = 26 (0x1a)
      | | | +request-id             (3 bytes)
      | | | |  type                  = 2 (0x02)
      | | | |  length                = 1 (0x01)
      | | | |  value                 = 12 (0x0c)
      | | | +error-status           (3 bytes)
      | | | |  type                  = 2 (0x02)
      | | | |  length                = 1 (0x01)
      | | | |  value                 = 0 (0x00)
      | | | +error-index            (3 bytes)
      | | | |  type                  = 2 (0x02)
      | | | |  length                = 1 (0x01)
      | | | |  value                 = 0 (0x00)
      | | | +VarBindList            (17 bytes)
      | | | |  type                  = 48 (0x30)
      | | | |  length                = 15 (0x0f)
      | | | | +VarBind[1]             (15 bytes)
      | | | | |  type                = 48 (0x30)
      | | | | |  length              = 13 (0x0d)
      | | | | | +VarBind[1]{name}       (11 bytes)
      | | | | | |  type              = 6 (0x06)
      | | | | | |  length            = 9 (0x09)
      | | | | | |  value             = 1.3.6.1.2.1.4.35.1.4 (0x2b0601020104230104)
      | | | | | +VarBind[1]{value}      (2 bytes)
      | | | | | |  type              = 5 (0x05)
      | | | | | |  length            = 0 (0x00)
      | | | | | |  value             = 0 (0x00)

      Recv 2nd SNMP packet at 15:36:38

      IP Packet
      | IP Header
      | | Version                    = 6
      | | Source Address             = 3ffe:501:ffff:100:21d:fff:fe0f:be4e
      | | Destination Address        = 3ffe:501:ffff:100::20
      | UDP Header
      | | Source Port                = 161
      | | Destination Port           = 2000
      | +SNMP ASN.1 Message     (70 bytes)
      | |  type                      = 48 (0x30)
      | |  length                    = 68 (0x44)
      | | +version                (3 bytes)
      | | |  type                    = 2 (0x02)
      | | |  length                  = 1 (0x01)
      | | |  value                   = 1 (0x01)
      | | +community              (8 bytes)
      | | |  type                    = 4 (0x04)
      | | |  length                  = 6 (0x06)
      | | |  value                   = public (0x7075626c6963)
      | | +PDU                    (57 bytes)
      | | |  type                    = 162 (0xa2)
      | | |  length                  = 55 (0x37)
      | | | +request-id             (3 bytes)
      | | | |  type                  = 2 (0x02)
      | | | |  length                = 1 (0x01)
      | | | |  value                 = 12 (0x0c)
      | | | +error-status           (3 bytes)
      | | | |  type                  = 2 (0x02)
      | | | |  length                = 1 (0x01)
      | | | |  value                 = 0 (0x00)
      | | | +error-index            (3 bytes)
      | | | |  type                  = 2 (0x02)
      | | | |  length                = 1 (0x01)
      | | | |  value                 = 0 (0x00)
      | | | +VarBindList            (46 bytes)
      | | | |  type                  = 48 (0x30)
      | | | |  length                = 44 (0x2c)
      | | | | +VarBind[1]             (44 bytes)
      | | | | |  type                = 48 (0x30)
      | | | | |  length              = 42 (0x2a)
      | | | | | +VarBind[1]{name}       (34 bytes)
      | | | | | |  type              = 6 (0x06)
      | | | | | |  length            = 32 (0x20)
      | | | | | |  value             = 1.3.6.1.2.1.4.35.1.4.3.2.16.254.128.0.0.0.0.0.0.2.0.0.255.254.0.1.0 (0x2b0601020104230104030210817e8100000000000000020000817f817e000100)
      | | | | | +VarBind[1]{value}      (8 bytes)
      | | | | | |  type              = 4 (0x04)
      | | | | | |  length            = 6 (0x06)
      | | | | | |  value             = 00:00:00:00:01:00 (0x000000000100)

      Send 3rd SNMP packet at 15:36:38

      IP Packet
      | IP Header
      | | Version                    = 6
      | | Source Address             = 3ffe:501:ffff:100::20
      | | Destination Address        = 3ffe:501:ffff:100:21d:fff:fe0f:be4e
      | UDP Header
      | | Source Port                = 2000
      | | Destination Port           = 161
      | +SNMP ASN.1 Message     (64 bytes)
      | |  type                      = 48 (0x30)
      | |  length                    = 62 (0x3e)
      | | +version                (3 bytes)
      | | |  type                    = 2 (0x02)
      | | |  length                  = 1 (0x01)
      | | |  value                   = 1 (0x01)
      | | +community              (8 bytes)
      | | |  type                    = 4 (0x04)
      | | |  length                  = 6 (0x06)
      | | |  value                   = public (0x7075626c6963)
      | | +PDU                    (51 bytes)
      | | |  type                    = 161 (0xa1)
      | | |  length                  = 49 (0x31)
      | | | +request-id             (3 bytes)
      | | | |  type                  = 2 (0x02)
      | | | |  length                = 1 (0x01)
      | | | |  value                 = 13 (0x0d)
      | | | +error-status           (3 bytes)
      | | | |  type                  = 2 (0x02)
      | | | |  length                = 1 (0x01)
      | | | |  value                 = 0 (0x00)
      | | | +error-index            (3 bytes)
      | | | |  type                  = 2 (0x02)
      | | | |  length                = 1 (0x01)
      | | | |  value                 = 0 (0x00)
      | | | +VarBindList            (40 bytes)
      | | | |  type                  = 48 (0x30)
      | | | |  length                = 38 (0x26)
      | | | | +VarBind[1]             (38 bytes)
      | | | | |  type                = 48 (0x30)
      | | | | |  length              = 36 (0x24)
      | | | | | +VarBind[1]{name}       (34 bytes)
      | | | | | |  type              = 6 (0x06)
      | | | | | |  length            = 32 (0x20)
      | | | | | |  value             = 1.3.6.1.2.1.4.35.1.4.3.2.16.254.128.0.0.0.0.0.0.2.0.0.255.254.0.1.0 (0x2b0601020104230104030210817e8100000000000000020000817f817e000100)
      | | | | | +VarBind[1]{value}      (2 bytes)
      | | | | | |  type              = 5 (0x05)
      | | | | | |  length            = 0 (0x00)
      | | | | | |  value             = 0 (0x00)

      Recv 4th SNMP packet at 15:36:38

      IP Packet
      | IP Header
      | | Version                    = 6
      | | Source Address             = 3ffe:501:ffff:100:21d:fff:fe0f:be4e
      | | Destination Address        = 3ffe:501:ffff:100::20
      | UDP Header
      | | Source Port                = 161
      | | Destination Port           = 2000
      | +SNMP ASN.1 Message     (66 bytes)
      | |  type                      = 48 (0x30)
      | |  length                    = 64 (0x40)
      | | +version                (3 bytes)
      | | |  type                    = 2 (0x02)
      | | |  length                  = 1 (0x01)
      | | |  value                   = 1 (0x01)
      | | +community              (8 bytes)
      | | |  type                    = 4 (0x04)
      | | |  length                  = 6 (0x06)
      | | |  value                   = public (0x7075626c6963)
      | | +PDU                    (53 bytes)
      | | |  type                    = 162 (0xa2)
      | | |  length                  = 51 (0x33)
      | | | +request-id             (3 bytes)
      | | | |  type                  = 2 (0x02)
      | | | |  length                = 1 (0x01)
      | | | |  value                 = 13 (0x0d)
      | | | +error-status           (3 bytes)
      | | | |  type                  = 2 (0x02)
      | | | |  length                = 1 (0x01)
      | | | |  value                 = 0 (0x00)
      | | | +error-index            (3 bytes)
      | | | |  type                  = 2 (0x02)
      | | | |  length                = 1 (0x01)
      | | | |  value                 = 0 (0x00)
      | | | +VarBindList            (42 bytes)
      | | | |  type                  = 48 (0x30)
      | | | |  length                = 40 (0x28)
      | | | | +VarBind[1]             (40 bytes)
      | | | | |  type                = 48 (0x30)
      | | | | |  length              = 38 (0x26)
      | | | | | +VarBind[1]{name}       (34 bytes)
      | | | | | |  type              = 6 (0x06)
      | | | | | |  length            = 32 (0x20)
      | | | | | |  value             = 1.3.6.1.2.1.4.35.1.5.3.2.16.254.128.0.0.0.0.0.0.2.0.0.255.254.0.1.0 (0x2b0601020104230105030210817e8100000000000000020000817f817e000100)
      | | | | | +VarBind[1]{value}      (4 bytes)
      | | | | | |  type              = 67 (0x43)
      | | | | | |  length            = 2 (0x02)
      | | | | | |  value             = 811 (0x032b)

      Send Echo Request (Global address) at 15:36:38

      Frame_Ether                     (length:68)
      | Hdr_Ether                       (length:14)
      | | DestinationAddress               = 00:1d:0f:0f:be:4e
      | | SourceAddress                    = 00:00:00:00:01:00
      | | Type                             = 34525
      | Packet_IPv6                     (length:54)
      | | Hdr_IPv6                        (length:40)
      | | | Version                          = 6
      | | | TrafficClass                     = 0
      | | | FlowLabel                        = 0
      | | | PayloadLength                    = 14
      | | | NextHeader                       = 58
      | | | HopLimit                         = 64
      | | | SourceAddress                    = 3ffe:501:ffff:100:200:ff:fe00:100
      | | | DestinationAddress               = 3ffe:501:ffff:100:21d:fff:fe0f:be4e
      | | ICMPv6_EchoRequest              (length:14)
      | | | Type                             = 128
      | | | Code                             = 0
      | | | Checksum                         = 9022 calc(9022)
      | | | Identifier                       = 0
      | | | SequenceNumber                   = 0
      | | | Payload                         (length:6)
      | | | | data                             = ffffffff ffff

      Recv at 15:36:38

      Frame_Ether                     (length:86)
      | Hdr_Ether                       (length:14)
      | | DestinationAddress               = 33:33:ff:00:01:00
      | | SourceAddress                    = 00:1d:0f:0f:be:4e
      | | Type                             = 34525
      | Packet_IPv6                     (length:72)
      | | Hdr_IPv6                        (length:40)
      | | | Version                          = 6
      | | | TrafficClass                     = 0
      | | | FlowLabel                        = 0
      | | | PayloadLength                    = 32
      | | | NextHeader                       = 58
      | | | HopLimit                         = 255
      | | | SourceAddress                    = 3ffe:501:ffff:100:21d:fff:fe0f:be4e
      | | | DestinationAddress               = ff02::1:ff00:100
      | | ICMPv6_NS                       (length:32)
      | | | Type                             = 135
      | | | Code                             = 0
      | | | Checksum                         = 20139 calc(20139)
      | | | Reserved                         = 0
      | | | TargetAddress                    = 3ffe:501:ffff:100:200:ff:fe00:100
      | | | Opt_ICMPv6_SLL                  (length:8)
      | | | | Type                             = 1
      | | | | Length                           = 1
      | | | | LinkLayerAddress                 = 00:1d:0f:0f:be:4e
      ===echo_reply_global=================================
      ng compare _HETHER_nut2tn.DestinationAddress received:33:33:ff:00:01:00 = 00:00:00:00:01:00
      ng compare _HDR_IPV6_echo_reply_global.DestinationAddress received:ff02::1:ff00:100 = 3ffe:501:ffff:100:200:ff:fe00:100
      ng meta Packet_IPv6.ICMPv6_EchoReply != Packet_IPv6.ICMPv6_NS
      ===ns_global=================================
      ng count Packet_IPv6.ICMPv6_NS != Packet_IPv6.ICMPv6_NS
      ===ns_global_sll=================================

      Send Neighbor Advertisement at 15:36:38

      Frame_Ether                     (length:86)
      | Hdr_Ether                       (length:14)
      | | DestinationAddress               = 00:1d:0f:0f:be:4e
      | | SourceAddress                    = 00:00:00:00:01:00
      | | Type                             = 34525
      | Packet_IPv6                     (length:72)
      | | Hdr_IPv6                        (length:40)
      | | | Version                          = 6
      | | | TrafficClass                     = 0
      | | | FlowLabel                        = 0
      | | | PayloadLength                    = 32
      | | | NextHeader                       = 58
      | | | HopLimit                         = 255
      | | | SourceAddress                    = 3ffe:501:ffff:100:200:ff:fe00:100
      | | | DestinationAddress               = 3ffe:501:ffff:100:21d:fff:fe0f:be4e
      | | ICMPv6_NA                       (length:32)
      | | | Type                             = 136
      | | | Code                             = 0
      | | | Checksum                         = 61482 calc(61482)
      | | | RFlag                            = 1
      | | | SFlag                            = 1
      | | | OFlag                            = 1
      | | | Reserved                         = 0
      | | | TargetAddress                    = 3ffe:501:ffff:100:200:ff:fe00:100
      | | | Opt_ICMPv6_TLL                  (length:8)
      | | | | Type                             = 2
      | | | | Length                           = 1
      | | | | LinkLayerAddress                 = 00:00:00:00:01:00

      Recv at 15:36:38

      Frame_Ether                     (length:68)
      | Hdr_Ether                       (length:14)
      | | DestinationAddress               = 00:00:00:00:01:00
      | | SourceAddress                    = 00:1d:0f:0f:be:4e
      | | Type                             = 34525
      | Packet_IPv6                     (length:54)
      | | Hdr_IPv6                        (length:40)
      | | | Version                          = 6
      | | | TrafficClass                     = 0
      | | | FlowLabel                        = 0
      | | | PayloadLength                    = 14
      | | | NextHeader                       = 58
      | | | HopLimit                         = 254
      | | | SourceAddress                    = 3ffe:501:ffff:100:21d:fff:fe0f:be4e
      | | | DestinationAddress               = 3ffe:501:ffff:100:200:ff:fe00:100
      | | ICMPv6_EchoReply                (length:14)
      | | | Type                             = 129
      | | | Code                             = 0
      | | | Checksum                         = 8766 calc(8766)
      | | | Identifier                       = 0
      | | | SequenceNumber                   = 0
      | | | Payload                         (length:6)
      | | | | data                             = ffffffff ffff
      ===echo_reply_global=================================

      Send 5th SNMP packet at 15:36:38

      IP Packet
      | IP Header
      | | Version                    = 6
      | | Source Address             = 3ffe:501:ffff:100::20
      | | Destination Address        = 3ffe:501:ffff:100:21d:fff:fe0f:be4e
      | UDP Header
      | | Source Port                = 2000
      | | Destination Port           = 161
      | +SNMP ASN.1 Message     (41 bytes)
      | |  type                      = 48 (0x30)
      | |  length                    = 39 (0x27)
      | | +version                (3 bytes)
      | | |  type                    = 2 (0x02)
      | | |  length                  = 1 (0x01)
      | | |  value                   = 1 (0x01)
      | | +community              (8 bytes)
      | | |  type                    = 4 (0x04)
      | | |  length                  = 6 (0x06)
      | | |  value                   = public (0x7075626c6963)
      | | +PDU                    (28 bytes)
      | | |  type                    = 161 (0xa1)
      | | |  length                  = 26 (0x1a)
      | | | +request-id             (3 bytes)
      | | | |  type                  = 2 (0x02)
      | | | |  length                = 1 (0x01)
      | | | |  value                 = 14 (0x0e)
      | | | +error-status           (3 bytes)
      | | | |  type                  = 2 (0x02)
      | | | |  length                = 1 (0x01)
      | | | |  value                 = 0 (0x00)
      | | | +error-index            (3 bytes)
      | | | |  type                  = 2 (0x02)
      | | | |  length                = 1 (0x01)
      | | | |  value                 = 0 (0x00)
      | | | +VarBindList            (17 bytes)
      | | | |  type                  = 48 (0x30)
      | | | |  length                = 15 (0x0f)
      | | | | +VarBind[1]             (15 bytes)
      | | | | |  type                = 48 (0x30)
      | | | | |  length              = 13 (0x0d)
      | | | | | +VarBind[1]{name}       (11 bytes)
      | | | | | |  type              = 6 (0x06)
      | | | | | |  length            = 9 (0x09)
      | | | | | |  value             = 1.3.6.1.2.1.4.35.1.4 (0x2b0601020104230104)
      | | | | | +VarBind[1]{value}      (2 bytes)
      | | | | | |  type              = 5 (0x05)
      | | | | | |  length            = 0 (0x00)
      | | | | | |  value             = 0 (0x00)

      Recv 6th SNMP packet at 15:36:38

      IP Packet
      | IP Header
      | | Version                    = 6
      | | Source Address             = 3ffe:501:ffff:100:21d:fff:fe0f:be4e
      | | Destination Address        = 3ffe:501:ffff:100::20
      | UDP Header
      | | Source Port                = 161
      | | Destination Port           = 2000
      | +SNMP ASN.1 Message     (70 bytes)
      | |  type                      = 48 (0x30)
      | |  length                    = 68 (0x44)
      | | +version                (3 bytes)
      | | |  type                    = 2 (0x02)
      | | |  length                  = 1 (0x01)
      | | |  value                   = 1 (0x01)
      | | +community              (8 bytes)
      | | |  type                    = 4 (0x04)
      | | |  length                  = 6 (0x06)
      | | |  value                   = public (0x7075626c6963)
      | | +PDU                    (57 bytes)
      | | |  type                    = 162 (0xa2)
      | | |  length                  = 55 (0x37)
      | | | +request-id             (3 bytes)
      | | | |  type                  = 2 (0x02)
      | | | |  length                = 1 (0x01)
      | | | |  value                 = 14 (0x0e)
      | | | +error-status           (3 bytes)
      | | | |  type                  = 2 (0x02)
      | | | |  length                = 1 (0x01)
      | | | |  value                 = 0 (0x00)
      | | | +error-index            (3 bytes)
      | | | |  type                  = 2 (0x02)
      | | | |  length                = 1 (0x01)
      | | | |  value                 = 0 (0x00)
      | | | +VarBindList            (46 bytes)
      | | | |  type                  = 48 (0x30)
      | | | |  length                = 44 (0x2c)
      | | | | +VarBind[1]             (44 bytes)
      | | | | |  type                = 48 (0x30)
      | | | | |  length              = 42 (0x2a)
      | | | | | +VarBind[1]{name}       (34 bytes)
      | | | | | |  type              = 6 (0x06)
      | | | | | |  length            = 32 (0x20)
      | | | | | |  value             = 1.3.6.1.2.1.4.35.1.4.3.2.16.254.128.0.0.0.0.0.0.2.0.0.255.254.0.1.0 (0x2b0601020104230104030210817e8100000000000000020000817f817e000100)
      | | | | | +VarBind[1]{value}      (8 bytes)
      | | | | | |  type              = 4 (0x04)
      | | | | | |  length            = 6 (0x06)
      | | | | | |  value             = 00:00:00:00:01:00 (0x000000000100)

      Send 7th SNMP packet at 15:36:38

      IP Packet
      | IP Header
      | | Version                    = 6
      | | Source Address             = 3ffe:501:ffff:100::20
      | | Destination Address        = 3ffe:501:ffff:100:21d:fff:fe0f:be4e
      | UDP Header
      | | Source Port                = 2000
      | | Destination Port           = 161
      | +SNMP ASN.1 Message     (64 bytes)
      | |  type                      = 48 (0x30)
      | |  length                    = 62 (0x3e)
      | | +version                (3 bytes)
      | | |  type                    = 2 (0x02)
      | | |  length                  = 1 (0x01)
      | | |  value                   = 1 (0x01)
      | | +community              (8 bytes)
      | | |  type                    = 4 (0x04)
      | | |  length                  = 6 (0x06)
      | | |  value                   = public (0x7075626c6963)
      | | +PDU                    (51 bytes)
      | | |  type                    = 161 (0xa1)
      | | |  length                  = 49 (0x31)
      | | | +request-id             (3 bytes)
      | | | |  type                  = 2 (0x02)
      | | | |  length                = 1 (0x01)
      | | | |  value                 = 15 (0x0f)
      | | | +error-status           (3 bytes)
      | | | |  type                  = 2 (0x02)
      | | | |  length                = 1 (0x01)
      | | | |  value                 = 0 (0x00)
      | | | +error-index            (3 bytes)
      | | | |  type                  = 2 (0x02)
      | | | |  length                = 1 (0x01)
      | | | |  value                 = 0 (0x00)
      | | | +VarBindList            (40 bytes)
      | | | |  type                  = 48 (0x30)
      | | | |  length                = 38 (0x26)
      | | | | +VarBind[1]             (38 bytes)
      | | | | |  type                = 48 (0x30)
      | | | | |  length              = 36 (0x24)
      | | | | | +VarBind[1]{name}       (34 bytes)
      | | | | | |  type              = 6 (0x06)
      | | | | | |  length            = 32 (0x20)
      | | | | | |  value             = 1.3.6.1.2.1.4.35.1.4.3.2.16.254.128.0.0.0.0.0.0.2.0.0.255.254.0.1.0 (0x2b0601020104230104030210817e8100000000000000020000817f817e000100)
      | | | | | +VarBind[1]{value}      (2 bytes)
      | | | | | |  type              = 5 (0x05)
      | | | | | |  length            = 0 (0x00)
      | | | | | |  value             = 0 (0x00)

      Recv 8th SNMP packet at 15:36:38

      IP Packet
      | IP Header
      | | Version                    = 6
      | | Source Address             = 3ffe:501:ffff:100:21d:fff:fe0f:be4e
      | | Destination Address        = 3ffe:501:ffff:100::20
      | UDP Header
      | | Source Port                = 161
      | | Destination Port           = 2000
      | +SNMP ASN.1 Message     (66 bytes)
      | |  type                      = 48 (0x30)
      | |  length                    = 64 (0x40)
      | | +version                (3 bytes)
      | | |  type                    = 2 (0x02)
      | | |  length                  = 1 (0x01)
      | | |  value                   = 1 (0x01)
      | | +community              (8 bytes)
      | | |  type                    = 4 (0x04)
      | | |  length                  = 6 (0x06)
      | | |  value                   = public (0x7075626c6963)
      | | +PDU                    (53 bytes)
      | | |  type                    = 162 (0xa2)
      | | |  length                  = 51 (0x33)
      | | | +request-id             (3 bytes)
      | | | |  type                  = 2 (0x02)
      | | | |  length                = 1 (0x01)
      | | | |  value                 = 15 (0x0f)
      | | | +error-status           (3 bytes)
      | | | |  type                  = 2 (0x02)
      | | | |  length                = 1 (0x01)
      | | | |  value                 = 0 (0x00)
      | | | +error-index            (3 bytes)
      | | | |  type                  = 2 (0x02)
      | | | |  length                = 1 (0x01)
      | | | |  value                 = 0 (0x00)
      | | | +VarBindList            (42 bytes)
      | | | |  type                  = 48 (0x30)
      | | | |  length                = 40 (0x28)
      | | | | +VarBind[1]             (40 bytes)
      | | | | |  type                = 48 (0x30)
      | | | | |  length              = 38 (0x26)
      | | | | | +VarBind[1]{name}       (34 bytes)
      | | | | | |  type              = 6 (0x06)
      | | | | | |  length            = 32 (0x20)
      | | | | | |  value             = 1.3.6.1.2.1.4.35.1.5.3.2.16.254.128.0.0.0.0.0.0.2.0.0.255.254.0.1.0 (0x2b0601020104230105030210817e8100000000000000020000817f817e000100)
      | | | | | +VarBind[1]{value}      (4 bytes)
      | | | | | |  type              = 67 (0x43)
      | | | | | |  length            = 2 (0x02)
      | | | | | |  value             = 811 (0x032b)
Comment 9 Jan Safranek 2009-01-20 10:23:41 EST
Please try to set '0' as the cache timeout, see the magic snmpset in comment #6. It should disable cache at all. By looking at the test case, I think it should work then (I was not able to set up proper TAHI test environment here).

If it does not help, please start snmpd like this:
snmpd -f -Lo -Ddump,verbose:inetNetToMediaTable | tee snmpd.log

and set the cache timeout to 0 (using the snmpset), retry the test and attach here created snmpd.log. Post also result of '/sbin/ip neigh', executed immediately after the test.

Thanks in advance
Comment 10 wang jiabo 2009-01-20 22:21:16 EST
Thanks, your help.

set '0' is also failure.
 
the following info is according to the Comment#9:

snmpd.log:

registered debug token dump, 1
registered debug token verbose:inetNetToMediaTable, 1
mibII/mta_sendmail.c:open_sendmailst: could not guess version of statistics file "/var/log/mail/statistics"
verbose:inetNetToMediaTable:init_inetNetToMediaTable: called
verbose:inetNetToMediaTable:initialize_table_inetNetToMediaTable: called
verbose:inetNetToMediaTable:inetNetToMediaTable_init_data: called
verbose:inetNetToMediaTable:inetNetToMediaTable_container_init: called
[init_smux] bind failed: Address already in use
Error opening specified endpoint "udp:161"
Server Exiting with code 1


ip neigh:

[root@testrhel5 ~]# ip neigh
3ffe:501:ffff:100::20 dev eth0 lladdr 00:e0:4c:19:12:9f REACHABLE
fe80::200:ff:fe00:100 dev eth0  router FAILED
3ffe:501:ffff:100:200:ff:fe00:100 dev eth0 lladdr 00:00:00:00:01:00 router REACHABLE
Comment 11 Jan Safranek 2009-01-22 09:41:01 EST
(In reply to comment #10)
> snmpd.log:
> [init_smux] bind failed: Address already in use
> Error opening specified endpoint "udp:161"
> Server Exiting with code 1


This IMHO indicates that there is another process listening on the same port, probably another instance of snmpd. Please kill all the 'old' snmpd daemons before you start new one.
Comment 12 wang jiabo 2009-03-17 01:34:22 EDT
sorry, I forget to tell you I am testing ipv6 snmpv2.
when we start the snmpd service, our snmpd only open udp:161, so 
I have to add 'snmpd udp6:161' to the /etc/rc.local file,
because my test suite need reboot our RHEL machine.
I did 2 things:
  1. close the snmpd system service as RHEL system reboot, and add 
'snmpd udp:161,snmpd udp6:161,
snmpd -f -Lo -Ddump,verbose:inetNetToMediaTable | tee snmpd.log'

   result: RHEL machine can not boot, my test suite could not run.
 I looked at the log:
      registered debug token dump, 1
registered debug token verbose:inetNetToMediaTable, 1
mibII/mta_sendmail.c:open_sendmailst: could not guess version of statistics file "/var/log/mail/statistics"
verbose:inetNetToMediaTable:init_inetNetToMediaTable: called
verbose:inetNetToMediaTable:initialize_table_inetNetToMediaTable: called
verbose:inetNetToMediaTable:inetNetToMediaTable_init_data: called
verbose:inetNetToMediaTable:inetNetToMediaTable_container_init: called
NET-SNMP version 5.3.2.2
    
  2.open the snmpd system service as RHEL system reboot, we will get the Comment #10 result
Comment 13 Jan Safranek 2009-03-17 05:35:31 EDT
(In reply to comment #12)
> sorry, I forget to tell you I am testing ipv6 snmpv2.
> when we start the snmpd service, our snmpd only open udp:161, so 
> I have to add 'snmpd udp6:161' to the /etc/rc.local file,
> because my test suite need reboot our RHEL machine.
> I did 2 things:
>   1. close the snmpd system service as RHEL system reboot, and add 
> 'snmpd udp:161,snmpd udp6:161,
> snmpd -f -Lo -Ddump,verbose:inetNetToMediaTable | tee snmpd.log'

Heh, thats too much complicated... You have multiple daemons running in parallel and that looks dangerous to me. If the machine must be rebooted during the tests, I suggest you to throw away your changes to rc.local and get back to snmpd init scripts - all can be managed here.

To listen on both udp and udp6, add following lines to your /etc/snmp/snmpd.conf:
agentaddress udp6:161
agentaddress udp:161

And to enable the extra debug output, add following lines to /etc/sysconfig/snmpd.options:
OPTIONS="-Lsd -Lf /var/log/snmpd.log -p /var/run/snmpd.pid -Ddump,verbose:inetNetToMediaTable"

This will send all logs to /var/log/snmpd.log. Beware, the log is cleared each time the service is started, i.e. during each reboot.

Check it works (use your own security settings instead of '-c public'):
$ service snmpd restart
Stopping snmpd:    [  OK  ]
Starting snmpd:    [  OK  ]

$ snmpwalk -v2c -c public localhost netToMediaTable
IP-MIB::ipNetToMediaIfIndex.2.192.168.100.1 = INTEGER: 2
...

$ cat /var/log/snmpd.log
registered debug token dump, 1
registered debug token verbose:inetNetToMediaTable, 1
verbose:inetNetToMediaTable:init_inetNetToMediaTable: called
....
....
dumph_send: SNMPv2c Message

Reboot, check it works again :), reboot and test your stuff.
Comment 14 wang jiabo 2009-03-17 06:56:26 EDT
I tested again, please see log info:

registered debug token dump, 1
registered debug token verbose:inetNetToMediaTable, 1
mibII/mta_sendmail.c:open_sendmailst: could not guess version of statistics file "/var/log/mail/statistics"
verbose:inetNetToMediaTable:init_inetNetToMediaTable: called
verbose:inetNetToMediaTable:initialize_table_inetNetToMediaTable: called
verbose:inetNetToMediaTable:inetNetToMediaTable_init_data: called
verbose:inetNetToMediaTable:inetNetToMediaTable_container_init: called
NET-SNMP version 5.3.2.2
Connection from UDP/IPv6: [3ffe:501:ffff:100::20]:2000
dumpx_recv:02 01 01 
dumpv_recv:  Integer:	1 (0x01)
dumph_recv: SNMPv2c message

dumph_recv:   SNMP version
dumpx_recv:    02 01 01 
dumpv_recv:      Integer:	1 (0x01)
dumph_recv:   community string
dumpx_recv:    04 06 70 75 62 6C 69 63 
dumpv_recv:      String:	public
dumph_recv:   PDU
dumpv_recv:     Command GETNEXT
dumph_recv:     request_id
dumpx_recv:      02 01 0C 
dumpv_recv:        Integer:	12 (0x0C)
dumph_recv:     error status
dumpx_recv:      02 01 00 
dumpv_recv:        Integer:	0 (0x00)
dumph_recv:     error index
dumpx_recv:      02 01 00 
dumpv_recv:        Integer:	0 (0x00)
dumph_recv:     VarBindList
dumph_recv:       VarBind
dumph_recv:         Name
dumpx_recv:          06 09 2B 06 01 02 01 04 23 01 04 
dumpv_recv:            ObjID: IP-MIB::ipNetToPhysicalPhysAddress
dumph_recv:         Value
verbose:inetNetToMediaTable:inetNetToMediaTable_cache_load: called
verbose:inetNetToMediaTable:_snarf_arp_entry: unsupported address typeverbose:inetNetToMediaTable:_snarf_arp_entry: unsupported address typeverbose:inetNetToMediaTable:inetNetToMediaTable_indexes_set: called
verbose:inetNetToMediaTable:inetNetToMediaTable_indexes_set_tbl_idx: called
verbose:inetNetToMediaTable:inetNetToMediaTable_index_to_oid: called
verbose:inetNetToMediaTable:_snarf_arp_entry: unsupported address typeverbose:inetNetToMediaTable:_snarf_arp_entry: unsupported address typeverbose:inetNetToMediaTable:_snarf_arp_entry: unsupported address typeverbose:inetNetToMediaTable:inetNetToMediaTable_cache_load: 1 records
verbose:inetNetToMediaTable:inetNetToMediaTable_pre_request: called
verbose:inetNetToMediaTable:inetNetToMediaTable_row_prep: called
verbose:inetNetToMediaTable:inetNetToMediaPhysAddress_get: called
verbose:inetNetToMediaTable:inetNetToMediaTable_post_request: called
dumph_send: RESPONSE
dumph_send:   VarBind
dumph_send:     Value
dumpx_send:      04 06 00 00 00 00 01 00 
dumpv_send:        String:	......
dumph_send:     Name
dumpx_send:      06 20 2B 06 01 02 01 04 23 01 04 02 02 10 81 7E 
81 00 00 00 00 00 00 00 02 00 00 81 7F 81 7E 00 
01 00 
dumpv_send:        ObjID: IP-MIB::ipNetToPhysicalPhysAddress.2.ipv6."fe:80:00:00:00:00:00:00:02:00:00:ff:fe:00:01:00"
dumph_send: error index
dumpx_send:  02 01 00 
dumpv_send:    Integer:	0 (0x00)
dumph_send: error status
dumpx_send:  02 01 00 
dumpv_send:    Integer:	0 (0x00)
dumph_send: request_id
dumpx_send:  02 01 0C 
dumpv_send:    Integer:	12 (0x0C)
dumph_send: Community String
dumpx_send:  04 06 70 75 62 6C 69 63 
dumpv_send:    String:	public
dumph_send: SNMP Version Number
dumpx_send:  02 01 01 
dumpv_send:    Integer:	1 (0x01)
dumph_send: SNMPv2c Message
Connection from UDP/IPv6: [3ffe:501:ffff:100::20]:2000
dumpx_recv:02 01 01 
dumpv_recv:  Integer:	1 (0x01)
dumph_recv: SNMPv2c message

dumph_recv:   SNMP version
dumpx_recv:    02 01 01 
dumpv_recv:      Integer:	1 (0x01)
dumph_recv:   community string
dumpx_recv:    04 06 70 75 62 6C 69 63 
dumpv_recv:      String:	public
dumph_recv:   PDU
dumpv_recv:     Command GETNEXT
dumph_recv:     request_id
dumpx_recv:      02 01 0D 
dumpv_recv:        Integer:	13 (0x0D)
dumph_recv:     error status
dumpx_recv:      02 01 00 
dumpv_recv:        Integer:	0 (0x00)
dumph_recv:     error index
dumpx_recv:      02 01 00 
dumpv_recv:        Integer:	0 (0x00)
dumph_recv:     VarBindList
dumph_recv:       VarBind
dumph_recv:         Name
dumpx_recv:          06 20 2B 06 01 02 01 04 23 01 04 02 02 10 81 7E 
81 00 00 00 00 00 00 00 02 00 00 81 7F 81 7E 00 
01 00 
dumpv_recv:            ObjID: IP-MIB::ipNetToPhysicalPhysAddress.2.ipv6."fe:80:00:00:00:00:00:00:02:00:00:ff:fe:00:01:00"
dumph_recv:         Value
verbose:inetNetToMediaTable:inetNetToMediaTable_pre_request: called
verbose:inetNetToMediaTable:inetNetToMediaTable_row_prep: called
verbose:inetNetToMediaTable:inetNetToMediaLastUpdated_get: called
verbose:inetNetToMediaTable:inetNetToMediaTable_post_request: called
verbose:inetNetToMediaTable:inetNetToMediaTable_pre_request: called
verbose:inetNetToMediaTable:inetNetToMediaTable_row_prep: called
verbose:inetNetToMediaTable:inetNetToMediaType_get: called
verbose:inetNetToMediaTable:inetNetToMediaTable_post_request: called
dumph_send: RESPONSE
dumph_send:   VarBind
dumph_send:     Value
dumpx_send:      02 01 03 
dumpv_send:        Integer:	3 (0x03)
dumph_send:     Name
dumpx_send:      06 20 2B 06 01 02 01 04 23 01 06 02 02 10 81 7E 
81 00 00 00 00 00 00 00 02 00 00 81 7F 81 7E 00 
01 00 
dumpv_send:        ObjID: IP-MIB::ipNetToPhysicalType.2.ipv6."fe:80:00:00:00:00:00:00:02:00:00:ff:fe:00:01:00"
dumph_send: error index
dumpx_send:  02 01 00 
dumpv_send:    Integer:	0 (0x00)
dumph_send: error status
dumpx_send:  02 01 00 
dumpv_send:    Integer:	0 (0x00)
dumph_send: request_id
dumpx_send:  02 01 0D 
dumpv_send:    Integer:	13 (0x0D)
dumph_send: Community String
dumpx_send:  04 06 70 75 62 6C 69 63 
dumpv_send:    String:	public
dumph_send: SNMP Version Number
dumpx_send:  02 01 01 
dumpv_send:    Integer:	1 (0x01)
dumph_send: SNMPv2c Message
Connection from UDP/IPv6: [3ffe:501:ffff:100::20]:2000
dumpx_recv:02 01 01 
dumpv_recv:  Integer:	1 (0x01)
dumph_recv: SNMPv2c message

dumph_recv:   SNMP version
dumpx_recv:    02 01 01 
dumpv_recv:      Integer:	1 (0x01)
dumph_recv:   community string
dumpx_recv:    04 06 70 75 62 6C 69 63 
dumpv_recv:      String:	public
dumph_recv:   PDU
dumpv_recv:     Command GETNEXT
dumph_recv:     request_id
dumpx_recv:      02 01 0E 
dumpv_recv:        Integer:	14 (0x0E)
dumph_recv:     error status
dumpx_recv:      02 01 00 
dumpv_recv:        Integer:	0 (0x00)
dumph_recv:     error index
dumpx_recv:      02 01 00 
dumpv_recv:        Integer:	0 (0x00)
dumph_recv:     VarBindList
dumph_recv:       VarBind
dumph_recv:         Name
dumpx_recv:          06 09 2B 06 01 02 01 04 23 01 04 
dumpv_recv:            ObjID: IP-MIB::ipNetToPhysicalPhysAddress
dumph_recv:         Value
verbose:inetNetToMediaTable:inetNetToMediaTable_pre_request: called
verbose:inetNetToMediaTable:inetNetToMediaTable_row_prep: called
verbose:inetNetToMediaTable:inetNetToMediaPhysAddress_get: called
verbose:inetNetToMediaTable:inetNetToMediaTable_post_request: called
dumph_send: RESPONSE
dumph_send:   VarBind
dumph_send:     Value
dumpx_send:      04 06 00 00 00 00 01 00 
dumpv_send:        String:	......
dumph_send:     Name
dumpx_send:      06 20 2B 06 01 02 01 04 23 01 04 02 02 10 81 7E 
81 00 00 00 00 00 00 00 02 00 00 81 7F 81 7E 00 
01 00 
dumpv_send:        ObjID: IP-MIB::ipNetToPhysicalPhysAddress.2.ipv6."fe:80:00:00:00:00:00:00:02:00:00:ff:fe:00:01:00"
dumph_send: error index
dumpx_send:  02 01 00 
dumpv_send:    Integer:	0 (0x00)
dumph_send: error status
dumpx_send:  02 01 00 
dumpv_send:    Integer:	0 (0x00)
dumph_send: request_id
dumpx_send:  02 01 0E 
dumpv_send:    Integer:	14 (0x0E)
dumph_send: Community String
dumpx_send:  04 06 70 75 62 6C 69 63 
dumpv_send:    String:	public
dumph_send: SNMP Version Number
dumpx_send:  02 01 01 
dumpv_send:    Integer:	1 (0x01)
dumph_send: SNMPv2c Message
Connection from UDP/IPv6: [3ffe:501:ffff:100::20]:2000
dumpx_recv:02 01 01 
dumpv_recv:  Integer:	1 (0x01)
dumph_recv: SNMPv2c message

dumph_recv:   SNMP version
dumpx_recv:    02 01 01 
dumpv_recv:      Integer:	1 (0x01)
dumph_recv:   community string
dumpx_recv:    04 06 70 75 62 6C 69 63 
dumpv_recv:      String:	public
dumph_recv:   PDU
dumpv_recv:     Command GETNEXT
dumph_recv:     request_id
dumpx_recv:      02 01 0F 
dumpv_recv:        Integer:	15 (0x0F)
dumph_recv:     error status
dumpx_recv:      02 01 00 
dumpv_recv:        Integer:	0 (0x00)
dumph_recv:     error index
dumpx_recv:      02 01 00 
dumpv_recv:        Integer:	0 (0x00)
dumph_recv:     VarBindList
dumph_recv:       VarBind
dumph_recv:         Name
dumpx_recv:          06 20 2B 06 01 02 01 04 23 01 04 02 02 10 81 7E 
81 00 00 00 00 00 00 00 02 00 00 81 7F 81 7E 00 
01 00 
dumpv_recv:            ObjID: IP-MIB::ipNetToPhysicalPhysAddress.2.ipv6."fe:80:00:00:00:00:00:00:02:00:00:ff:fe:00:01:00"
dumph_recv:         Value
verbose:inetNetToMediaTable:inetNetToMediaTable_pre_request: called
verbose:inetNetToMediaTable:inetNetToMediaTable_row_prep: called
verbose:inetNetToMediaTable:inetNetToMediaLastUpdated_get: called
verbose:inetNetToMediaTable:inetNetToMediaTable_post_request: called
verbose:inetNetToMediaTable:inetNetToMediaTable_pre_request: called
verbose:inetNetToMediaTable:inetNetToMediaTable_row_prep: called
verbose:inetNetToMediaTable:inetNetToMediaType_get: called
verbose:inetNetToMediaTable:inetNetToMediaTable_post_request: called
dumph_send: RESPONSE
dumph_send:   VarBind
dumph_send:     Value
dumpx_send:      02 01 03 
dumpv_send:        Integer:	3 (0x03)
dumph_send:     Name
dumpx_send:      06 20 2B 06 01 02 01 04 23 01 06 02 02 10 81 7E 
81 00 00 00 00 00 00 00 02 00 00 81 7F 81 7E 00 
01 00 
dumpv_send:        ObjID: IP-MIB::ipNetToPhysicalType.2.ipv6."fe:80:00:00:00:00:00:00:02:00:00:ff:fe:00:01:00"
dumph_send: error index
dumpx_send:  02 01 00 
dumpv_send:    Integer:	0 (0x00)
dumph_send: error status
dumpx_send:  02 01 00 
dumpv_send:    Integer:	0 (0x00)
dumph_send: request_id
dumpx_send:  02 01 0F 
dumpv_send:    Integer:	15 (0x0F)
dumph_send: Community String
dumpx_send:  04 06 70 75 62 6C 69 63 
dumpv_send:    String:	public
dumph_send: SNMP Version Number
dumpx_send:  02 01 01 
dumpv_send:    Integer:	1 (0x01)
dumph_send: SNMPv2c Message
verbose:inetNetToMediaTable:inetNetToMediaTable_container_free: called
verbose:inetNetToMediaTable:inetNetToMediaTable_rowreq_ctx_cleanup: called
Comment 15 wang jiabo 2009-03-17 07:01:03 EDT
I tested again, please see log info:

registered debug token dump, 1
registered debug token verbose:inetNetToMediaTable, 1
mibII/mta_sendmail.c:open_sendmailst: could not guess version of statistics file "/var/log/mail/statistics"
verbose:inetNetToMediaTable:init_inetNetToMediaTable: called
verbose:inetNetToMediaTable:initialize_table_inetNetToMediaTable: called
verbose:inetNetToMediaTable:inetNetToMediaTable_init_data: called
verbose:inetNetToMediaTable:inetNetToMediaTable_container_init: called
NET-SNMP version 5.3.2.2
Connection from UDP/IPv6: [3ffe:501:ffff:100::20]:2000
dumpx_recv:02 01 01 
dumpv_recv:  Integer:	1 (0x01)
dumph_recv: SNMPv2c message

dumph_recv:   SNMP version
dumpx_recv:    02 01 01 
dumpv_recv:      Integer:	1 (0x01)
dumph_recv:   community string
dumpx_recv:    04 06 70 75 62 6C 69 63 
dumpv_recv:      String:	public
dumph_recv:   PDU
dumpv_recv:     Command GETNEXT
dumph_recv:     request_id
dumpx_recv:      02 01 0C 
dumpv_recv:        Integer:	12 (0x0C)
dumph_recv:     error status
dumpx_recv:      02 01 00 
dumpv_recv:        Integer:	0 (0x00)
dumph_recv:     error index
dumpx_recv:      02 01 00 
dumpv_recv:        Integer:	0 (0x00)
dumph_recv:     VarBindList
dumph_recv:       VarBind
dumph_recv:         Name
dumpx_recv:          06 09 2B 06 01 02 01 04 23 01 04 
dumpv_recv:            ObjID: IP-MIB::ipNetToPhysicalPhysAddress
dumph_recv:         Value
verbose:inetNetToMediaTable:inetNetToMediaTable_cache_load: called
verbose:inetNetToMediaTable:_snarf_arp_entry: unsupported address typeverbose:inetNetToMediaTable:_snarf_arp_entry: unsupported address typeverbose:inetNetToMediaTable:inetNetToMediaTable_indexes_set: called
verbose:inetNetToMediaTable:inetNetToMediaTable_indexes_set_tbl_idx: called
verbose:inetNetToMediaTable:inetNetToMediaTable_index_to_oid: called
verbose:inetNetToMediaTable:_snarf_arp_entry: unsupported address typeverbose:inetNetToMediaTable:_snarf_arp_entry: unsupported address typeverbose:inetNetToMediaTable:_snarf_arp_entry: unsupported address typeverbose:inetNetToMediaTable:inetNetToMediaTable_cache_load: 1 records
verbose:inetNetToMediaTable:inetNetToMediaTable_pre_request: called
verbose:inetNetToMediaTable:inetNetToMediaTable_row_prep: called
verbose:inetNetToMediaTable:inetNetToMediaPhysAddress_get: called
verbose:inetNetToMediaTable:inetNetToMediaTable_post_request: called
dumph_send: RESPONSE
dumph_send:   VarBind
dumph_send:     Value
dumpx_send:      04 06 00 00 00 00 01 00 
dumpv_send:        String:	......
dumph_send:     Name
dumpx_send:      06 20 2B 06 01 02 01 04 23 01 04 02 02 10 81 7E 
81 00 00 00 00 00 00 00 02 00 00 81 7F 81 7E 00 
01 00 
dumpv_send:        ObjID: IP-MIB::ipNetToPhysicalPhysAddress.2.ipv6."fe:80:00:00:00:00:00:00:02:00:00:ff:fe:00:01:00"
dumph_send: error index
dumpx_send:  02 01 00 
dumpv_send:    Integer:	0 (0x00)
dumph_send: error status
dumpx_send:  02 01 00 
dumpv_send:    Integer:	0 (0x00)
dumph_send: request_id
dumpx_send:  02 01 0C 
dumpv_send:    Integer:	12 (0x0C)
dumph_send: Community String
dumpx_send:  04 06 70 75 62 6C 69 63 
dumpv_send:    String:	public
dumph_send: SNMP Version Number
dumpx_send:  02 01 01 
dumpv_send:    Integer:	1 (0x01)
dumph_send: SNMPv2c Message
Connection from UDP/IPv6: [3ffe:501:ffff:100::20]:2000
dumpx_recv:02 01 01 
dumpv_recv:  Integer:	1 (0x01)
dumph_recv: SNMPv2c message

dumph_recv:   SNMP version
dumpx_recv:    02 01 01 
dumpv_recv:      Integer:	1 (0x01)
dumph_recv:   community string
dumpx_recv:    04 06 70 75 62 6C 69 63 
dumpv_recv:      String:	public
dumph_recv:   PDU
dumpv_recv:     Command GETNEXT
dumph_recv:     request_id
dumpx_recv:      02 01 0D 
dumpv_recv:        Integer:	13 (0x0D)
dumph_recv:     error status
dumpx_recv:      02 01 00 
dumpv_recv:        Integer:	0 (0x00)
dumph_recv:     error index
dumpx_recv:      02 01 00 
dumpv_recv:        Integer:	0 (0x00)
dumph_recv:     VarBindList
dumph_recv:       VarBind
dumph_recv:         Name
dumpx_recv:          06 20 2B 06 01 02 01 04 23 01 04 02 02 10 81 7E 
81 00 00 00 00 00 00 00 02 00 00 81 7F 81 7E 00 
01 00 
dumpv_recv:            ObjID: IP-MIB::ipNetToPhysicalPhysAddress.2.ipv6."fe:80:00:00:00:00:00:00:02:00:00:ff:fe:00:01:00"
dumph_recv:         Value
verbose:inetNetToMediaTable:inetNetToMediaTable_pre_request: called
verbose:inetNetToMediaTable:inetNetToMediaTable_row_prep: called
verbose:inetNetToMediaTable:inetNetToMediaLastUpdated_get: called
verbose:inetNetToMediaTable:inetNetToMediaTable_post_request: called
verbose:inetNetToMediaTable:inetNetToMediaTable_pre_request: called
verbose:inetNetToMediaTable:inetNetToMediaTable_row_prep: called
verbose:inetNetToMediaTable:inetNetToMediaType_get: called
verbose:inetNetToMediaTable:inetNetToMediaTable_post_request: called
dumph_send: RESPONSE
dumph_send:   VarBind
dumph_send:     Value
dumpx_send:      02 01 03 
dumpv_send:        Integer:	3 (0x03)
dumph_send:     Name
dumpx_send:      06 20 2B 06 01 02 01 04 23 01 06 02 02 10 81 7E 
81 00 00 00 00 00 00 00 02 00 00 81 7F 81 7E 00 
01 00 
dumpv_send:        ObjID: IP-MIB::ipNetToPhysicalType.2.ipv6."fe:80:00:00:00:00:00:00:02:00:00:ff:fe:00:01:00"
dumph_send: error index
dumpx_send:  02 01 00 
dumpv_send:    Integer:	0 (0x00)
dumph_send: error status
dumpx_send:  02 01 00 
dumpv_send:    Integer:	0 (0x00)
dumph_send: request_id
dumpx_send:  02 01 0D 
dumpv_send:    Integer:	13 (0x0D)
dumph_send: Community String
dumpx_send:  04 06 70 75 62 6C 69 63 
dumpv_send:    String:	public
dumph_send: SNMP Version Number
dumpx_send:  02 01 01 
dumpv_send:    Integer:	1 (0x01)
dumph_send: SNMPv2c Message
Connection from UDP/IPv6: [3ffe:501:ffff:100::20]:2000
dumpx_recv:02 01 01 
dumpv_recv:  Integer:	1 (0x01)
dumph_recv: SNMPv2c message

dumph_recv:   SNMP version
dumpx_recv:    02 01 01 
dumpv_recv:      Integer:	1 (0x01)
dumph_recv:   community string
dumpx_recv:    04 06 70 75 62 6C 69 63 
dumpv_recv:      String:	public
dumph_recv:   PDU
dumpv_recv:     Command GETNEXT
dumph_recv:     request_id
dumpx_recv:      02 01 0E 
dumpv_recv:        Integer:	14 (0x0E)
dumph_recv:     error status
dumpx_recv:      02 01 00 
dumpv_recv:        Integer:	0 (0x00)
dumph_recv:     error index
dumpx_recv:      02 01 00 
dumpv_recv:        Integer:	0 (0x00)
dumph_recv:     VarBindList
dumph_recv:       VarBind
dumph_recv:         Name
dumpx_recv:          06 09 2B 06 01 02 01 04 23 01 04 
dumpv_recv:            ObjID: IP-MIB::ipNetToPhysicalPhysAddress
dumph_recv:         Value
verbose:inetNetToMediaTable:inetNetToMediaTable_pre_request: called
verbose:inetNetToMediaTable:inetNetToMediaTable_row_prep: called
verbose:inetNetToMediaTable:inetNetToMediaPhysAddress_get: called
verbose:inetNetToMediaTable:inetNetToMediaTable_post_request: called
dumph_send: RESPONSE
dumph_send:   VarBind
dumph_send:     Value
dumpx_send:      04 06 00 00 00 00 01 00 
dumpv_send:        String:	......
dumph_send:     Name
dumpx_send:      06 20 2B 06 01 02 01 04 23 01 04 02 02 10 81 7E 
81 00 00 00 00 00 00 00 02 00 00 81 7F 81 7E 00 
01 00 
dumpv_send:        ObjID: IP-MIB::ipNetToPhysicalPhysAddress.2.ipv6."fe:80:00:00:00:00:00:00:02:00:00:ff:fe:00:01:00"
dumph_send: error index
dumpx_send:  02 01 00 
dumpv_send:    Integer:	0 (0x00)
dumph_send: error status
dumpx_send:  02 01 00 
dumpv_send:    Integer:	0 (0x00)
dumph_send: request_id
dumpx_send:  02 01 0E 
dumpv_send:    Integer:	14 (0x0E)
dumph_send: Community String
dumpx_send:  04 06 70 75 62 6C 69 63 
dumpv_send:    String:	public
dumph_send: SNMP Version Number
dumpx_send:  02 01 01 
dumpv_send:    Integer:	1 (0x01)
dumph_send: SNMPv2c Message
Connection from UDP/IPv6: [3ffe:501:ffff:100::20]:2000
dumpx_recv:02 01 01 
dumpv_recv:  Integer:	1 (0x01)
dumph_recv: SNMPv2c message

dumph_recv:   SNMP version
dumpx_recv:    02 01 01 
dumpv_recv:      Integer:	1 (0x01)
dumph_recv:   community string
dumpx_recv:    04 06 70 75 62 6C 69 63 
dumpv_recv:      String:	public
dumph_recv:   PDU
dumpv_recv:     Command GETNEXT
dumph_recv:     request_id
dumpx_recv:      02 01 0F 
dumpv_recv:        Integer:	15 (0x0F)
dumph_recv:     error status
dumpx_recv:      02 01 00 
dumpv_recv:        Integer:	0 (0x00)
dumph_recv:     error index
dumpx_recv:      02 01 00 
dumpv_recv:        Integer:	0 (0x00)
dumph_recv:     VarBindList
dumph_recv:       VarBind
dumph_recv:         Name
dumpx_recv:          06 20 2B 06 01 02 01 04 23 01 04 02 02 10 81 7E 
81 00 00 00 00 00 00 00 02 00 00 81 7F 81 7E 00 
01 00 
dumpv_recv:            ObjID: IP-MIB::ipNetToPhysicalPhysAddress.2.ipv6."fe:80:00:00:00:00:00:00:02:00:00:ff:fe:00:01:00"
dumph_recv:         Value
verbose:inetNetToMediaTable:inetNetToMediaTable_pre_request: called
verbose:inetNetToMediaTable:inetNetToMediaTable_row_prep: called
verbose:inetNetToMediaTable:inetNetToMediaLastUpdated_get: called
verbose:inetNetToMediaTable:inetNetToMediaTable_post_request: called
verbose:inetNetToMediaTable:inetNetToMediaTable_pre_request: called
verbose:inetNetToMediaTable:inetNetToMediaTable_row_prep: called
verbose:inetNetToMediaTable:inetNetToMediaType_get: called
verbose:inetNetToMediaTable:inetNetToMediaTable_post_request: called
dumph_send: RESPONSE
dumph_send:   VarBind
dumph_send:     Value
dumpx_send:      02 01 03 
dumpv_send:        Integer:	3 (0x03)
dumph_send:     Name
dumpx_send:      06 20 2B 06 01 02 01 04 23 01 06 02 02 10 81 7E 
81 00 00 00 00 00 00 00 02 00 00 81 7F 81 7E 00 
01 00 
dumpv_send:        ObjID: IP-MIB::ipNetToPhysicalType.2.ipv6."fe:80:00:00:00:00:00:00:02:00:00:ff:fe:00:01:00"
dumph_send: error index
dumpx_send:  02 01 00 
dumpv_send:    Integer:	0 (0x00)
dumph_send: error status
dumpx_send:  02 01 00 
dumpv_send:    Integer:	0 (0x00)
dumph_send: request_id
dumpx_send:  02 01 0F 
dumpv_send:    Integer:	15 (0x0F)
dumph_send: Community String
dumpx_send:  04 06 70 75 62 6C 69 63 
dumpv_send:    String:	public
dumph_send: SNMP Version Number
dumpx_send:  02 01 01 
dumpv_send:    Integer:	1 (0x01)
dumph_send: SNMPv2c Message
verbose:inetNetToMediaTable:inetNetToMediaTable_container_free: called
verbose:inetNetToMediaTable:inetNetToMediaTable_rowreq_ctx_cleanup: called
Comment 16 wang jiabo 2009-03-17 07:01:41 EDT
I tested again, test case still failed, please see log info:

registered debug token dump, 1
registered debug token verbose:inetNetToMediaTable, 1
mibII/mta_sendmail.c:open_sendmailst: could not guess version of statistics file "/var/log/mail/statistics"
verbose:inetNetToMediaTable:init_inetNetToMediaTable: called
verbose:inetNetToMediaTable:initialize_table_inetNetToMediaTable: called
verbose:inetNetToMediaTable:inetNetToMediaTable_init_data: called
verbose:inetNetToMediaTable:inetNetToMediaTable_container_init: called
NET-SNMP version 5.3.2.2
Connection from UDP/IPv6: [3ffe:501:ffff:100::20]:2000
dumpx_recv:02 01 01 
dumpv_recv:  Integer:	1 (0x01)
dumph_recv: SNMPv2c message

dumph_recv:   SNMP version
dumpx_recv:    02 01 01 
dumpv_recv:      Integer:	1 (0x01)
dumph_recv:   community string
dumpx_recv:    04 06 70 75 62 6C 69 63 
dumpv_recv:      String:	public
dumph_recv:   PDU
dumpv_recv:     Command GETNEXT
dumph_recv:     request_id
dumpx_recv:      02 01 0C 
dumpv_recv:        Integer:	12 (0x0C)
dumph_recv:     error status
dumpx_recv:      02 01 00 
dumpv_recv:        Integer:	0 (0x00)
dumph_recv:     error index
dumpx_recv:      02 01 00 
dumpv_recv:        Integer:	0 (0x00)
dumph_recv:     VarBindList
dumph_recv:       VarBind
dumph_recv:         Name
dumpx_recv:          06 09 2B 06 01 02 01 04 23 01 04 
dumpv_recv:            ObjID: IP-MIB::ipNetToPhysicalPhysAddress
dumph_recv:         Value
verbose:inetNetToMediaTable:inetNetToMediaTable_cache_load: called
verbose:inetNetToMediaTable:_snarf_arp_entry: unsupported address typeverbose:inetNetToMediaTable:_snarf_arp_entry: unsupported address typeverbose:inetNetToMediaTable:inetNetToMediaTable_indexes_set: called
verbose:inetNetToMediaTable:inetNetToMediaTable_indexes_set_tbl_idx: called
verbose:inetNetToMediaTable:inetNetToMediaTable_index_to_oid: called
verbose:inetNetToMediaTable:_snarf_arp_entry: unsupported address typeverbose:inetNetToMediaTable:_snarf_arp_entry: unsupported address typeverbose:inetNetToMediaTable:_snarf_arp_entry: unsupported address typeverbose:inetNetToMediaTable:inetNetToMediaTable_cache_load: 1 records
verbose:inetNetToMediaTable:inetNetToMediaTable_pre_request: called
verbose:inetNetToMediaTable:inetNetToMediaTable_row_prep: called
verbose:inetNetToMediaTable:inetNetToMediaPhysAddress_get: called
verbose:inetNetToMediaTable:inetNetToMediaTable_post_request: called
dumph_send: RESPONSE
dumph_send:   VarBind
dumph_send:     Value
dumpx_send:      04 06 00 00 00 00 01 00 
dumpv_send:        String:	......
dumph_send:     Name
dumpx_send:      06 20 2B 06 01 02 01 04 23 01 04 02 02 10 81 7E 
81 00 00 00 00 00 00 00 02 00 00 81 7F 81 7E 00 
01 00 
dumpv_send:        ObjID: IP-MIB::ipNetToPhysicalPhysAddress.2.ipv6."fe:80:00:00:00:00:00:00:02:00:00:ff:fe:00:01:00"
dumph_send: error index
dumpx_send:  02 01 00 
dumpv_send:    Integer:	0 (0x00)
dumph_send: error status
dumpx_send:  02 01 00 
dumpv_send:    Integer:	0 (0x00)
dumph_send: request_id
dumpx_send:  02 01 0C 
dumpv_send:    Integer:	12 (0x0C)
dumph_send: Community String
dumpx_send:  04 06 70 75 62 6C 69 63 
dumpv_send:    String:	public
dumph_send: SNMP Version Number
dumpx_send:  02 01 01 
dumpv_send:    Integer:	1 (0x01)
dumph_send: SNMPv2c Message
Connection from UDP/IPv6: [3ffe:501:ffff:100::20]:2000
dumpx_recv:02 01 01 
dumpv_recv:  Integer:	1 (0x01)
dumph_recv: SNMPv2c message

dumph_recv:   SNMP version
dumpx_recv:    02 01 01 
dumpv_recv:      Integer:	1 (0x01)
dumph_recv:   community string
dumpx_recv:    04 06 70 75 62 6C 69 63 
dumpv_recv:      String:	public
dumph_recv:   PDU
dumpv_recv:     Command GETNEXT
dumph_recv:     request_id
dumpx_recv:      02 01 0D 
dumpv_recv:        Integer:	13 (0x0D)
dumph_recv:     error status
dumpx_recv:      02 01 00 
dumpv_recv:        Integer:	0 (0x00)
dumph_recv:     error index
dumpx_recv:      02 01 00 
dumpv_recv:        Integer:	0 (0x00)
dumph_recv:     VarBindList
dumph_recv:       VarBind
dumph_recv:         Name
dumpx_recv:          06 20 2B 06 01 02 01 04 23 01 04 02 02 10 81 7E 
81 00 00 00 00 00 00 00 02 00 00 81 7F 81 7E 00 
01 00 
dumpv_recv:            ObjID: IP-MIB::ipNetToPhysicalPhysAddress.2.ipv6."fe:80:00:00:00:00:00:00:02:00:00:ff:fe:00:01:00"
dumph_recv:         Value
verbose:inetNetToMediaTable:inetNetToMediaTable_pre_request: called
verbose:inetNetToMediaTable:inetNetToMediaTable_row_prep: called
verbose:inetNetToMediaTable:inetNetToMediaLastUpdated_get: called
verbose:inetNetToMediaTable:inetNetToMediaTable_post_request: called
verbose:inetNetToMediaTable:inetNetToMediaTable_pre_request: called
verbose:inetNetToMediaTable:inetNetToMediaTable_row_prep: called
verbose:inetNetToMediaTable:inetNetToMediaType_get: called
verbose:inetNetToMediaTable:inetNetToMediaTable_post_request: called
dumph_send: RESPONSE
dumph_send:   VarBind
dumph_send:     Value
dumpx_send:      02 01 03 
dumpv_send:        Integer:	3 (0x03)
dumph_send:     Name
dumpx_send:      06 20 2B 06 01 02 01 04 23 01 06 02 02 10 81 7E 
81 00 00 00 00 00 00 00 02 00 00 81 7F 81 7E 00 
01 00 
dumpv_send:        ObjID: IP-MIB::ipNetToPhysicalType.2.ipv6."fe:80:00:00:00:00:00:00:02:00:00:ff:fe:00:01:00"
dumph_send: error index
dumpx_send:  02 01 00 
dumpv_send:    Integer:	0 (0x00)
dumph_send: error status
dumpx_send:  02 01 00 
dumpv_send:    Integer:	0 (0x00)
dumph_send: request_id
dumpx_send:  02 01 0D 
dumpv_send:    Integer:	13 (0x0D)
dumph_send: Community String
dumpx_send:  04 06 70 75 62 6C 69 63 
dumpv_send:    String:	public
dumph_send: SNMP Version Number
dumpx_send:  02 01 01 
dumpv_send:    Integer:	1 (0x01)
dumph_send: SNMPv2c Message
Connection from UDP/IPv6: [3ffe:501:ffff:100::20]:2000
dumpx_recv:02 01 01 
dumpv_recv:  Integer:	1 (0x01)
dumph_recv: SNMPv2c message

dumph_recv:   SNMP version
dumpx_recv:    02 01 01 
dumpv_recv:      Integer:	1 (0x01)
dumph_recv:   community string
dumpx_recv:    04 06 70 75 62 6C 69 63 
dumpv_recv:      String:	public
dumph_recv:   PDU
dumpv_recv:     Command GETNEXT
dumph_recv:     request_id
dumpx_recv:      02 01 0E 
dumpv_recv:        Integer:	14 (0x0E)
dumph_recv:     error status
dumpx_recv:      02 01 00 
dumpv_recv:        Integer:	0 (0x00)
dumph_recv:     error index
dumpx_recv:      02 01 00 
dumpv_recv:        Integer:	0 (0x00)
dumph_recv:     VarBindList
dumph_recv:       VarBind
dumph_recv:         Name
dumpx_recv:          06 09 2B 06 01 02 01 04 23 01 04 
dumpv_recv:            ObjID: IP-MIB::ipNetToPhysicalPhysAddress
dumph_recv:         Value
verbose:inetNetToMediaTable:inetNetToMediaTable_pre_request: called
verbose:inetNetToMediaTable:inetNetToMediaTable_row_prep: called
verbose:inetNetToMediaTable:inetNetToMediaPhysAddress_get: called
verbose:inetNetToMediaTable:inetNetToMediaTable_post_request: called
dumph_send: RESPONSE
dumph_send:   VarBind
dumph_send:     Value
dumpx_send:      04 06 00 00 00 00 01 00 
dumpv_send:        String:	......
dumph_send:     Name
dumpx_send:      06 20 2B 06 01 02 01 04 23 01 04 02 02 10 81 7E 
81 00 00 00 00 00 00 00 02 00 00 81 7F 81 7E 00 
01 00 
dumpv_send:        ObjID: IP-MIB::ipNetToPhysicalPhysAddress.2.ipv6."fe:80:00:00:00:00:00:00:02:00:00:ff:fe:00:01:00"
dumph_send: error index
dumpx_send:  02 01 00 
dumpv_send:    Integer:	0 (0x00)
dumph_send: error status
dumpx_send:  02 01 00 
dumpv_send:    Integer:	0 (0x00)
dumph_send: request_id
dumpx_send:  02 01 0E 
dumpv_send:    Integer:	14 (0x0E)
dumph_send: Community String
dumpx_send:  04 06 70 75 62 6C 69 63 
dumpv_send:    String:	public
dumph_send: SNMP Version Number
dumpx_send:  02 01 01 
dumpv_send:    Integer:	1 (0x01)
dumph_send: SNMPv2c Message
Connection from UDP/IPv6: [3ffe:501:ffff:100::20]:2000
dumpx_recv:02 01 01 
dumpv_recv:  Integer:	1 (0x01)
dumph_recv: SNMPv2c message

dumph_recv:   SNMP version
dumpx_recv:    02 01 01 
dumpv_recv:      Integer:	1 (0x01)
dumph_recv:   community string
dumpx_recv:    04 06 70 75 62 6C 69 63 
dumpv_recv:      String:	public
dumph_recv:   PDU
dumpv_recv:     Command GETNEXT
dumph_recv:     request_id
dumpx_recv:      02 01 0F 
dumpv_recv:        Integer:	15 (0x0F)
dumph_recv:     error status
dumpx_recv:      02 01 00 
dumpv_recv:        Integer:	0 (0x00)
dumph_recv:     error index
dumpx_recv:      02 01 00 
dumpv_recv:        Integer:	0 (0x00)
dumph_recv:     VarBindList
dumph_recv:       VarBind
dumph_recv:         Name
dumpx_recv:          06 20 2B 06 01 02 01 04 23 01 04 02 02 10 81 7E 
81 00 00 00 00 00 00 00 02 00 00 81 7F 81 7E 00 
01 00 
dumpv_recv:            ObjID: IP-MIB::ipNetToPhysicalPhysAddress.2.ipv6."fe:80:00:00:00:00:00:00:02:00:00:ff:fe:00:01:00"
dumph_recv:         Value
verbose:inetNetToMediaTable:inetNetToMediaTable_pre_request: called
verbose:inetNetToMediaTable:inetNetToMediaTable_row_prep: called
verbose:inetNetToMediaTable:inetNetToMediaLastUpdated_get: called
verbose:inetNetToMediaTable:inetNetToMediaTable_post_request: called
verbose:inetNetToMediaTable:inetNetToMediaTable_pre_request: called
verbose:inetNetToMediaTable:inetNetToMediaTable_row_prep: called
verbose:inetNetToMediaTable:inetNetToMediaType_get: called
verbose:inetNetToMediaTable:inetNetToMediaTable_post_request: called
dumph_send: RESPONSE
dumph_send:   VarBind
dumph_send:     Value
dumpx_send:      02 01 03 
dumpv_send:        Integer:	3 (0x03)
dumph_send:     Name
dumpx_send:      06 20 2B 06 01 02 01 04 23 01 06 02 02 10 81 7E 
81 00 00 00 00 00 00 00 02 00 00 81 7F 81 7E 00 
01 00 
dumpv_send:        ObjID: IP-MIB::ipNetToPhysicalType.2.ipv6."fe:80:00:00:00:00:00:00:02:00:00:ff:fe:00:01:00"
dumph_send: error index
dumpx_send:  02 01 00 
dumpv_send:    Integer:	0 (0x00)
dumph_send: error status
dumpx_send:  02 01 00 
dumpv_send:    Integer:	0 (0x00)
dumph_send: request_id
dumpx_send:  02 01 0F 
dumpv_send:    Integer:	15 (0x0F)
dumph_send: Community String
dumpx_send:  04 06 70 75 62 6C 69 63 
dumpv_send:    String:	public
dumph_send: SNMP Version Number
dumpx_send:  02 01 01 
dumpv_send:    Integer:	1 (0x01)
dumph_send: SNMPv2c Message
verbose:inetNetToMediaTable:inetNetToMediaTable_container_free: called
verbose:inetNetToMediaTable:inetNetToMediaTable_rowreq_ctx_cleanup: called
Comment 17 Jan Safranek 2009-03-17 09:36:50 EDT
I see two snmpwalks requesting ipNetToPhysicalPhysAddress in the log, but I don't see only one inetNetToMediaTable_cache_load nor snmp set command to set cache timeout to 0. The cache must be reloaded after the magic ping and before second walk though NetToMediaTable, otherwise snmpd shows old values. Did you forget to set the 
nsCacheTimeout.1.3.6.1.2.1.4.35 to 0?

If so, please add following line to snmpd.conf, which allows anyone to set anything:
rwcommunity public

And set the cache timeout, probably in rc.local:
snmpset -v2c -c public localhost nsCacheTimeout.1.3.6.1.2.1.4.35 i 0

Reboot, test snmpwalk two times and check the cache is reloaded many times now:

$ snmpwalk -v2c -c public localhost netToPhysicalTable
IP-MIB::ipNetToPhysicalPhysAddress.2.ipv4."192.168.100.1" = STRING: be:f9:6c:fe:2f:78
...

$ snmpwalk -v2c -c public localhost netToPhysicalTable
IP-MIB::ipNetToPhysicalPhysAddress.2.ipv4."192.168.100.1" = STRING: be:f9:6c:fe:2f:78
...

$ cat /var/log/snmpd.log | grep cache_load
verbose:inetNetToMediaTable:inetNetToMediaTable_cache_load: called
... many times

and reboot and test.

(I am sorry, I might confuse you with walking over netToMediaTable in my last comment... it should be netToPhysicalTable. There are too many and too similar tables in SNMP)
Comment 18 wang jiabo 2009-03-18 01:40:53 EDT
thanks Jan, 
ipNetToPhysicalLastUpdated Object Information reported pass
the 2 cases pass.
we need patch the following packages to 5.3
net-snmp-5.3.2.2-5.bz477092.el5.i386.rpm        
net-snmp-perl-5.3.2.2-5.bz477092.el5.i386.rpm
net-snmp-devel-5.3.2.2-5.bz477092.el5.i386.rpm  
net-snmp-utils-5.3.2.2-5.bz477092.el5.i386.rpm
net-snmp-libs-5.3.2.2-5.bz477092.el5.i386.rpm


snmpwalk log:

IP-MIB::ipNetToPhysicalTable = No Such Object available on this agent at this OID
IP-MIB::ipNetToPhysicalTable = No Such Object available on this agent at this OID

cache_load log:

verbose:inetNetToMediaTable:inetNetToMediaTable_cache_load: called
verbose:inetNetToMediaTable:_snarf_arp_entry: unsupported address typeverbose:inetNetToMediaTable:_snarf_arp_entry: unsupported address typeverbose:inetNetToMediaTable:_snarf_arp_entry: unsupported address typeverbose:inetNetToMediaTable:inetNetToMediaTable_cache_load: 0 records
verbose:inetNetToMediaTable:inetNetToMediaTable_cache_load: called
verbose:inetNetToMediaTable:_snarf_arp_entry: unsupported address typeverbose:inetNetToMediaTable:_snarf_arp_entry: unsupported address typeverbose:inetNetToMediaTable:_snarf_arp_entry: unsupported address typeverbose:inetNetToMediaTable:inetNetToMediaTable_cache_load: 0 records
verbose:inetNetToMediaTable:inetNetToMediaTable_cache_load: called
verbose:inetNetToMediaTable:_snarf_arp_entry: unsupported address typeverbose:inetNetToMediaTable:_snarf_arp_entry: unsupported address typeverbose:inetNetToMediaTable:_snarf_arp_entry: unsupported address typeverbose:inetNetToMediaTable:inetNetToMediaTable_cache_load: 0 records
verbose:inetNetToMediaTable:inetNetToMediaTable_cache_load: called
verbose:inetNetToMediaTable:_snarf_arp_entry: unsupported address typeverbose:inetNetToMediaTable:_snarf_arp_entry: unsupported address typeverbose:inetNetToMediaTable:_snarf_arp_entry: unsupported address typeverbose:inetNetToMediaTable:inetNetToMediaTable_cache_load: 0 records
verbose:inetNetToMediaTable:inetNetToMediaTable_cache_load: called
verbose:inetNetToMediaTable:_snarf_arp_entry: unsupported address typeverbose:inetNetToMediaTable:_snarf_arp_entry: unsupported address typeverbose:inetNetToMediaTable:_snarf_arp_entry: unsupported address typeverbose:inetNetToMediaTable:inetNetToMediaTable_cache_load: 0 records
verbose:inetNetToMediaTable:inetNetToMediaTable_cache_load: called
verbose:inetNetToMediaTable:_snarf_arp_entry: unsupported address typeverbose:inetNetToMediaTable:_snarf_arp_entry: unsupported address typeverbose:inetNetToMediaTable:_snarf_arp_entry: unsupported address typeverbose:inetNetToMediaTable:inetNetToMediaTable_cache_load: 0 records
verbose:inetNetToMediaTable:inetNetToMediaTable_cache_load: called
verbose:inetNetToMediaTable:_snarf_arp_entry: unsupported address typeverbose:inetNetToMediaTable:_snarf_arp_entry: unsupported address typeverbose:inetNetToMediaTable:_snarf_arp_entry: unsupported address typeverbose:inetNetToMediaTable:inetNetToMediaTable_cache_load: 0 records
verbose:inetNetToMediaTable:inetNetToMediaTable_cache_load: called
verbose:inetNetToMediaTable:_snarf_arp_entry: unsupported address typeverbose:inetNetToMediaTable:_snarf_arp_entry: unsupported address typeverbose:inetNetToMediaTable:_snarf_arp_entry: unsupported address typeverbose:inetNetToMediaTable:inetNetToMediaTable_cache_load: 0 records
verbose:inetNetToMediaTable:inetNetToMediaTable_cache_load: called
verbose:inetNetToMediaTable:_snarf_arp_entry: unsupported address typeverbose:inetNetToMediaTable:_snarf_arp_entry: unsupported address typeverbose:inetNetToMediaTable:_snarf_arp_entry: unsupported address typeverbose:inetNetToMediaTable:inetNetToMediaTable_cache_load: 0 records
verbose:inetNetToMediaTable:inetNetToMediaTable_cache_load: called
verbose:inetNetToMediaTable:_snarf_arp_entry: unsupported address typeverbose:inetNetToMediaTable:_snarf_arp_entry: unsupported address typeverbose:inetNetToMediaTable:_snarf_arp_entry: unsupported address typeverbose:inetNetToMediaTable:inetNetToMediaTable_cache_load: 0 records
verbose:inetNetToMediaTable:inetNetToMediaTable_cache_load: called
verbose:inetNetToMediaTable:_snarf_arp_entry: unsupported address typeverbose:inetNetToMediaTable:_snarf_arp_entry: unsupported address typeverbose:inetNetToMediaTable:_snarf_arp_entry: unsupported address typeverbose:inetNetToMediaTable:inetNetToMediaTable_cache_load: 0 records
verbose:inetNetToMediaTable:inetNetToMediaTable_cache_load: called
verbose:inetNetToMediaTable:_snarf_arp_entry: unsupported address typeverbose:inetNetToMediaTable:_snarf_arp_entry: unsupported address typeverbose:inetNetToMediaTable:_snarf_arp_entry: unsupported address typeverbose:inetNetToMediaTable:inetNetToMediaTable_cache_load: 0 records
verbose:inetNetToMediaTable:inetNetToMediaTable_cache_load: called
verbose:inetNetToMediaTable:_snarf_arp_entry: unsupported address typeverbose:inetNetToMediaTable:_snarf_arp_entry: unsupported address typeverbose:inetNetToMediaTable:_snarf_arp_entry: unsupported address typeverbose:inetNetToMediaTable:inetNetToMediaTable_cache_load: 0 records
verbose:inetNetToMediaTable:inetNetToMediaTable_cache_load: called
verbose:inetNetToMediaTable:_snarf_arp_entry: unsupported address typeverbose:inetNetToMediaTable:_snarf_arp_entry: unsupported address typeverbose:inetNetToMediaTable:_snarf_arp_entry: unsupported address typeverbose:inetNetToMediaTable:inetNetToMediaTable_cache_load: 0 records
Comment 19 wang jiabo 2009-03-18 02:01:49 EDT
I used RHEL5.3(kernel is 2.6.18-128.el5) and 
net-snmp-5.3.2.2-5.el5.i386
net-snmp-perl-5.3.2.2-5.el5.i386
net-snmp-utils-5.3.2.2-5.el5.i386
net-snmp-libs-5.3.2.2-5.el5.i386

Internet Address Translation Table on RFC4293 case failure, we need patch
net-snmp-5.3.2.2-5.bz477092.el5.i386.rpm        
net-snmp-perl-5.3.2.2-5.bz477092.el5.i386.rpm
net-snmp-devel-5.3.2.2-5.bz477092.el5.i386.rpm  
net-snmp-utils-5.3.2.2-5.bz477092.el5.i386.rpm
net-snmp-libs-5.3.2.2-5.bz477092.el5.i386.rpm

another case,RFC4293 ipNetToPhysicalAddress Check is not a bug.

thanks Jan.
Comment 20 Jan Safranek 2009-03-18 11:00:50 EDT
Do I understand it correctly that the patch attached to this bug is all you need and everything is working, if snmpd is configured properly?

If so, then it can be fixed in RHEL5.
Comment 21 wang jiabo 2009-03-19 07:15:12 EDT
if fixed the bug, we have 2 bugs need your help.
one is 477087, another is 477090.
thanks.
Comment 22 Jan Safranek 2009-03-23 05:23:54 EDT
The ipNetToPhysicalLastUpdated is now checked into upstream SVN, revison 17431.
Comment 26 errata-xmlrpc 2009-09-02 07:41:59 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-1372.html

Note You need to log in before you can comment on or make changes to this bug.